2023-11-21  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathml.tex (mathml.4ht): use <mtext> instead of <mrow> in
	\Configure{qopname} to prevent rendering errors with MathJax.
	https://tex.stackexchange.com/a/701927/2891

2023-11-20  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (citation-style-language.4ht): added Citation Style
	Language support.
	https://github.com/zepinglee/citeproc-lua/issues/40

2023-11-19  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-newtx.tex (
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/txsyc/ntxsyc.htf
	): fixed some Unicode characters, convert to images others that are
	not available in Unicode.
	Thanks to Arkady Benediktov

2023-11-17  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-noncjk.tex (
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/latex/lasy.htf
	): updated lasy.htf and 
	Thanks to Arkady Benediktov

2023-11-12  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex (array.4ht): write version.

2023-11-10  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (usepackage.4ht, accessibility-hooks.4ht,
	accessibility.4ht),
	* tex4ht-html4.tex (html4.4ht): added support for the Accessibility
	package.
	https://tex.stackexchange.com/a/700927/2891

2023-11-09  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): better detection of the first row in
	tables with the "p-width" option.
	https://github.com/michal-h21/make4ht/issues/114

2023-11-06  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (array.4ht,latex.4ht,revtex4.4ht): don't set array
	spaces to zero.
	https://puszcza.gnu.org.ua/bugs/?229

2023-11-03  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (ooffice.4ht): use \refname instead of \bibname
	with the scrartcl class.
	https://puszcza.gnu.org.ua/bugs/?172

	* tex4ht-4ht.tex (latex.4ht): define \vrb:tt as \texttt. It was
	originally \tt, but this command is deprecated in LaTeX.
	https://puszcza.gnu.org.ua/bugs/?172

2023-11-02  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (tabu.4ht, usepackage.4ht): use Tabularx as a
	emulation for Tabu.
	https://tex.stackexchange.com/a/238155/2891

2023-11-01  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.4ht: fixed support for font sizes with decimal points
	in the `p-width` option.

2023-10-31  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (enotez.4ht),
	* tex4ht-html4.tex (html4.4ht): fixed missing and spurious space
	around endnote mark. Don't show endnote mark in superscript.
	https://tex.stackexchange.com/a/682624/2891

2023-10-27  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-docbook.tex (docbook.4ht): fixed support for accented
	characters.
	https://github.com/michal-h21/make4ht/issues/138

2023-10-25  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (tabularray.4ht),
	* tex4ht-html4.tex (html4.4ht): fixed row id attributes.

2023-10-24  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (latex.4ht): make the \@wrindex command robust.

2023-10-20  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (tcolorbox.4ht),
	* tex4ht-html4.tex (html4.4ht): added support for the Listings
	library of the Tcolobox package
	https://puszcza.gnu.org.ua/bugs/?312

2023-10-18  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (cprotect.4ht): remove spurious characters from the
	\cprotect command.
	https://puszcza.gnu.org.ua/bugs/?246

2023-10-16  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (hyperref.4ht): declare the \Hy@PageAnchorSlide
	command, to prevent errors with packages that use it.
	https://github.com/michal-h21/tex4ebook/issues/121

	* tex4ht-html4.tex (html4.4ht),
	* tex4ht-ooffice.tex (ooffice.4ht): fixed support for PDF and EPS
	files with spaces in filenames.
	https://github.com/michal-h21/tex4ebook/issues/118

	* tex4ht-4ht.tex (changepage.4ht),
	* tex4ht-html4.tex (html4.4ht): added support for the Changepage
	package.
	https://github.com/michal-h21/tex4ebook/issues/122

2023-10-13  Karl Berry  <karl@freefriends.org>

	* tex4ht-c.tex (<mem for charset>): zero htf_4hf array after
	allocation, to avoid uninitialized comparisons.
	https://puszcza.gnu.org.ua/bugs/?611

2023-10-13  Karl Berry  <karl@freefriends.org>

	* tex4ht-cond4ht.tex: copyright 2023.

2023-10-13  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (piton.4ht): fixed support for the current version
	of the Piton package.

	* tex4ht-4ht.tex (transparent.4ht),
	* tex4ht-html4.tex (html4.4ht): added support for the transparent
	package.
	https://puszcza.gnu.org.ua/bugs/?612

2023-10-12  Karl Berry  <karl@freefriends.org>

	* tex4ht-c.tex (<span char block>): avoid negative indexing into
	font_tbl. Partial fix for report from Oliver Freyermuth,
	https://puszcza.gnu.org.ua/bugs/?611.

2023-10-12  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (piton.4ht): use e-type Expl3 functions.
	https://www.texdev.net/2023/10/10/get-the-jag-from-x-type-to-e-type

	* tex4ht-4ht.tex (tabularray.4ht): use e-type Expl3 functions.
	https://www.texdev.net/2023/10/10/get-the-jag-from-x-type-to-e-type

	* tex4ht-4ht.tex (usepackage-fontspec.4ht): use e-type Expl3
	functions.
	https://www.texdev.net/2023/10/10/get-the-jag-from-x-type-to-e-type

	* tex4ht-html4.tex (html4.4ht): use e-type Expl3 function in
	Siunixtx's MathJax support code.
	https://www.texdev.net/2023/10/10/get-the-jag-from-x-type-to-e-type

	* tex4ht-mathjax.tex (mathjax-latex-4ht.4ht): changed deprecated
	\tl_set:Nx to \tl_set:Ne.
	https://www.texdev.net/2023/10/10/get-the-jag-from-x-type-to-e-type

2023-10-09  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (usepackage-fontspec.4ht): process keyval options
	from the first optional argument in \newfontfamily.
	https://tex.stackexchange.com/a/698071/2891

	* tex4ht-html5.tex (html5.4ht): fixed CSS selector for setting size
	of starred section titles.

	* tex4ht-html4.tex (html4.4ht): removed spurious spaces from TOCs,
	simplified their formatting using CSS.
	https://puszcza.gnu.org.ua/bugs/?605

2023-10-04  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathml.tex (mathml.4ht): removed \mathchoice from
	configurations of \dfrac, \tfrac, \tbinom and \dbinom. It caused
	output of verbatim TeX code in the ODT output.

2023-10-04  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-sty.tex (tex4ht.sty): disable the \DocumentMetadata
	command, in order to prevent invocation of the LaTeX tagging system,
	which clashes with TeX4ht.
	https://puszcza.gnu.org.ua/bugs/?477

2023-10-02  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (latex.4ht): fixed support for \csname commands in
	\sbox.
	https://puszcza.gnu.org.ua/bugs/?610

2023-09-25  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathml.tex (mathml.4ht): check for the existence of the
	mathvariant csname.

	* tex4ht-ooffice.tex (ooffice.4ht): use <text:p> elements instead of
	<text:h> for list environments. They were included in the TOC after
	automatic TOC update in LibreOffice.
	https://tug.org/pipermail/tex4ht/2023q3/003399.html

2023-09-22  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): test for the existence of
	\au:StartSec command before we try to insert it to \tableofcontents.

2023-09-20  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathml.tex (mathml.4ht): added support for the \mathvariant
	command (thanks to Linas Stonys).

2023-09-11  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): prevent duplicate TOC when the
	\tableofcontents command is used in the document which is not split
	into subpages.
	https://tex.stackexchange.com/a/695831/2891

2023-09-11  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (hyperref-hooks.4ht): undefine the \@chapter
	command to prevent wrong cutting of pages with numeric options.
	https://puszcza.gnu.org.ua/bugs/?608

2023-09-10  Karl Berry  <karl@freefriends.org>

	* tex4ht-mkht.tex (mkht-scripts): copyright 2023.

2023-09-07  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathml.tex (mathml.4ht): fixed handling of inline math
	inside the dcases* environment.
	https://github.com/michal-h21/make4ht/issues/135

2023-09-04  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathml.tex (mathml.4ht): fixed spacing in \limsup,
	\liminf and few other two word operators.
	https://github.com/michal-h21/make4ht/issues/133

2023-09-03  Karl Berry  <karl@freefriends.org>

	* tex4ht-mkht.tex: ChangeLog.

2023-08-31  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): calculate padding for individual
	Tcolorbox boxes.
	https://tex.stackexchange.com/a/694862/2891

2023-08-27  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex,
	* tex4ht-docbook.tex: copyright 2023.

2023-08-18  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): added support for column width in
	"b" and "m" table preamble tokens. Fixed wrong alignment and word
	wrapping.
	https://tex.stackexchange.com/a/693816/2891

	* tex4ht-html4.tex (html4.4ht): simplified setting of table column
	widths with the `p-width` option.
	https://tex.stackexchange.com/a/693816/2891

2023-08-16  Michal Hoftich  <michal.h21@gmail.com>
	
	* tex4ht-4ht.tex (memoir.4ht): added indexing support for Memoir.
	https://tex.stackexchange.com/a/693652/2891

	* tex4ht-4ht.tex (tikz-hooks.4ht): fixed infinite loop with
	externalization when TikZ was used multiple times in the document.

2023-08-14  Karl Berry  <karl@freefriends.org>

	* tex4ht-mkht.tex: remove context scripts, which date from
	the Ruby era of many years ago. ConTeXt has its own (far better)
	methods for handling XML and HTML anyway.
	From htcontext bug report, Vincenzo Mantova mail to tex-live,
	14 Aug 2023 20:01:23.

2023-08-13  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathml.tex (mathml.4ht): fixed handling of \tfrac and
	\dfrac inside of \frac.
	https://github.com/michal-h21/make4ht/issues/129

	* tex4ht-mathml.tex (mathml.4ht): fixed wrong markup for primes.
	https://github.com/michal-h21/make4ht/issues/130

	* tex4ht-docbook.tex (docbook.4ht): added formatting for the Ulem
	package configurations.
	https://github.com/michal-h21/make4ht/issues/131

	* tex4ht-4ht.tex (amsmath.4ht): don't redefine environment handling
	macros in the split environment.
	https://github.com/michal-h21/make4ht/issues/132

2023-07-28  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (xskak.4ht): removed redefiniton of \mainline and
	added optional argument for \newchessgame.

	* tex4ht-fonts-noncjk.tex (
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/misc/SkakNew.htf
	): fixed some wrong characters.

	* tex4ht-fonts-noncjk.tex (
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/mathabx/matha.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/mathabx/mathb.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/mathabx/mathx.htf
	): added support for Mathabx fonts. Thanks to Arkady Benediktov.

2023-07-25  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (usepackage.4ht, mathtools-hooks.4ht): fixed
	commands declared by \DeclarePairedDelimiter with MathML.
	https://github.com/michal-h21/make4ht/issues/126

	* tex4ht-4ht.tex (listings.4ht): fixed captions in inputed listings.
	https://tex.stackexchange.com/a/691965/2891

2023-07-11  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathml.tex (mathml.4ht): fixed \tilde accent in MathML.
	https://github.com/michal-h21/make4ht/issues/125

2023-07-06  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-noncjk.tex (
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/cfrinitials/*.htf,
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/cfrinitials/*.htf
	): added support for the CFR-Initials font bundle.
	https://tex.stackexchange.com/a/690426/2891

2023-06-30  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): don't produce paragraphs inside <dt>
	element.
	https://github.com/michal-h21/tex4ebook/issues/109

2023-06-22  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): use the requested image extension
	for conversion of EPS files.
	https://tex.stackexchange.com/q/689248/2891

2023-06-18  Karl Berry  <karl@freefriends.org>

	* update-htfonts: dup verbose assignment.

2023-06-16  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathml.tex (mathml.4ht): fixed \TeX used in \text.
	https://github.com/michal-h21/tex4ebook/issues/108

2023-06-12  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-cjk.tex (
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkhei/*.htf
	): fixed invalid HTF files.

2023-06-08  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): removed spurious </p> after the
	tcolorbox environment.
	https://tex.stackexchange.com/q/688072/2891

2023-06-07  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (subcaption.4ht): fixed numbering of subfigures and
	subtables.
	https://tex.stackexchange.com/a/687996/2891

	* tex4ht-4ht.tex (xecjk-hooks.4ht): allow xeCJK to be executed with
	LuaLaTeX.
	https://github.com/michal-h21/make4ht/issues/123

2023-06-02  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): check if Xskak's nextfen is defined.
	https://tex.stackexchange.com/a/687434/2891

2023-05-21  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex (lineno.4ht): copyright 2023.

2023-05-19  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (spanish.4ht): fixed clash between Spanish Babel
	and MathML operators.
	https://puszcza.gnu.org.ua/bugs/index.php?601

2023-05-18  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (cleveref.4ht): don't include punctuation in links
	with Cleveref references.
	https://tex.stackexchange.com/a/686051/2891

2023-05-14  Karl Berry  <karl@freefriends.org>

	* update-htfonts: also install tex4ht-fonts*.tex and other sources.

2023-05-11  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-stix2.tex,
	* tex4ht-fonts-spectral.tex,
	* tex4ht-fonts-opensans.tex,
	* tex4ht-fonts-newtx.tex,
	* tex4ht-fonts-libertine.tex,
	* tex4ht-fonts-kpfonts.tex,
	* tex4ht-fonts-fourier.tex,
	* tex4ht-fonts-ebgaramond.tex,
	* tex4ht-fonts-arphic.tex: fixed backslash character.

	* tex4ht-fonts-noncjk.tex (
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/musix/xslz20d.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/musix/musixsps.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/musix/xsldd20.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/musix/frenchtab.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/musix/xslhz20d.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/musix/musixspx.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/musix/MuseJazzText.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/musix/musix24.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/adobe/courier/pcrbc7t.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/adobe/courier/pcrbc8t.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/adobe/courier/pcrbo7t.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/adobe/courier/pcrbo8t.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/adobe/avantgar/pagdo8r.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/adobe/avantgar/pagdo8t.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/adobe/avantgar/pagdc8t.htf
	): fixed backslash character.


2023-05-03  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (lineno.4ht): disable line numbering.
	https://github.com/michal-h21/make4ht/issues/119

2023-05-02  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (latex.4ht): disable newlines when caption is
	written to the TOC file.
	https://puszcza.gnu.org.ua/bugs/?599

2023-04-21  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (piton.4ht)
	* tex4ht-html4.tex (html4.4ht): added support for the Piton package.
	https://github.com/michal-h21/make4ht/issues/118

2023-04-16  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex (JHEP.4ht, memhfixc.4ht):
	use |<TeX4ht copywrite|> so .4ht files \write the version.

2023-04-12  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (enotez.4ht),
	* tex4ht-html4.tex (html4.4ht): added basic support for the Enotez
	package.
	https://tex.stackexchange.com/a/682624/2891

2023-04-10  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (longtable.4ht): fixed another \caption issue.
	https://tex.stackexchange.com/q/682383/2891

	* tex4ht-4ht.tex ( 
	aa.4ht, acm_proc_article-sp.4ht, article.4ht, book.4ht, 
	JHEP.4ht, report.4ht, revtex4.4ht, scrbook.4ht, scrbook.4ht, 
	scrreprt.4ht, scrreprt.4ht
	): call \@endpart after contents of \part were printed.
	https://tex.stackexchange.com/a/682376/2891


2023-04-08  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): show next paragraph after footnote
	with the fn-in option in Koma Script classes.
	https://tex.stackexchange.com/a/682211/2891

	* tex4ht-html4.tex (html4.4ht): fixed indentation of additional
	BibLaTeX styles.
	https://tex.stackexchange.com/a/682200/2891

2023-04-06  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (biblatex.4ht): print contents of the \nolinkurl as
	is.
	https://tex.stackexchange.com/q/681968/2891

2023-04-03  Michal Hoftich  <michal.h21@gmail.com>
	
	* tex4ht-4ht.tex (tabto.4ht),
	* tex4ht-html4.tex (html4.4ht): added support for the Tabto package.
	https://github.com/michal-h21/make4ht/issues/116

	* tex4ht-4ht.tex (titlesec-hooks.4ht): disable declaration of title
	formatting.
	https://tex.stackexchange.com/a/680943/2891

	* tex4ht-html4.tex (html4.4ht): fixed paragraph handling for the
	Verse package.
	https://tex.stackexchange.com/a/681694/2891

2023-03-28  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-modern.tex (
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/lm/lm-ec/ec-lm.htf
	): fixed small caps output from Latin Modern.
	https://tex.stackexchange.com/a/681035/2891

2023-03-27  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (titlesec-hooks.4ht): prevent redefinition of
	\chapter commands
	https://tex.stackexchange.com/a/680943/2891

	* tex4ht-unicode.tex (unicode.4ht): disabled redefinition of
	accents, in order to get pictured accents in default HTML math
	output.

2023-03-24  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-noncjk.tex (
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/cm/cmex.htf
	): fixed widetilde characters (thanks to Linas Stonys).

2023-03-22  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (pagenote.4ht),
	* tex4ht-html4.tex (html4.4ht): added support for the Pagenote
	package.
	https://tex.stackexchange.com/a/680395/2891
	
2023-03-19  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (memhfixc.4ht): fixed interaction between Memoir
	and Nameref.
	https://github.com/michal-h21/make4ht/issues/74

2023-03-15  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex(amsart.4ht, amsart.4ht, amsbook.4ht,
	amsproc.4ht, article.4ht, book.4ht, mwart.4ht,
	mwbk.4ht, mwrep.4ht, report.4ht, scrbook.4ht,
	scrreprt.4ht),
	* tex4ht-html4.tex (html4.4ht): Fixed wrong first pagaraph in
	theindex environment.
	https://tex.stackexchange.com/a/679239/2891
	
2023-03-13  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-noncjk.tex (
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/txfonts/txbmia.htf
	): fixed Unicode characters. Thanks to Arkady Benediktov.

2023-03-10  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (xr.4ht,  xr-hyper.4ht, cleveref.4ht): fixed clash
	between Cleveref and Xr.
	https://github.com/michal-h21/make4ht/issues/113
	https://tex.stackexchange.com/q/678730/2891

2023-03-07  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (physics.4ht): fixed MathML issues with the Physics
	package.
	https://github.com/michal-h21/make4ht/issues/109

2023-03-02  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): added jpeg to list of supported
	image formats.

2023-02-27  Karl Berry  <karl@freefriends.org>

	* tex4ht-mathjax.tex: 2023.

2023-02-27  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-noncjk.tex (
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/cyrillic/cmcyr/cmcbxti.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/win/1251/cyrillic/cmcyr/cmcbxti.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/win/1251/cyrillic/cmcyr/cmcbx.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/iso8859/5/cyrillic/cmcyr/cmcbxti.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/iso8859/5/cyrillic/cmcyr/cmcbx.htf
	): fixed wrong character.
	https://tug.org/pipermail/tex4ht/2023q1/003329.html

2023-02-25  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (amsart.4ht.4ht, amsbook.4ht, amsproc.4ht,
	article.4ht, book.4ht, mwart.4ht, mwbk.4ht, mwrep.4ht,
	report.4ht, scrbook.4ht, scrreprt.4ht): print table of contents when
	\tableofcontents command is used and the document is split to
	subpages.
	https://tex.stackexchange.com/a/676531/2891

2023-02-22  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathjax.tex (mathjax-latex-4ht.4ht): don't restore the
	matrix environment in TikZ pictures.
	https://github.com/michal-h21/make4ht/issues/108

2023-02-19  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (url.4ht): remove spaces before \url command.
	https://github.com/michal-h21/tex4ebook/issues/102

2023-02-12  Karl Berry  <karl@freefriends.org>

	* Makefile (inst_dir_all): new variable.
	(svnstatus st): new convenience targets.

2023-02-12  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (tcolorbox.4ht): fixed unclosed paragraph with the
	new version of Tcolorbox.

2023-02-09  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-stix2.tex: added support for Stix2 fonts.

2023-02-05  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-arphic.tex: added support for some CJK fonts.
	https://github.com/michal-h21/make4ht/issues/105

2023-02-03  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): fixed indentation of TOC entries for
	\paragraph and \subparagraph.

2023-01-24  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (ooffice.4ht): added missing space in the style
	declaration.

2023-01-20  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (ooffice.4ht): previous commit introduced bugs
	to the code, which are now being fixed. I forgot to remove some
	percent characters, which led to unclosed attribute values and
	invalid XML.

2023-01-19  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (ooffice.4ht, ooffice-mml.4ht): use \prcnt:ch
	instead of \% in style declarations, because it would produce extra
	backslash otherwise (thanks Gareth Walker for the report.

2023-01-12  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (embedfile-hooks.4ht, usepackage.4ht): declared
	error printing command, to prevent actual error message.
	https://github.com/ho-tex/embedfile/pull/7

	* tex4ht-4ht.tex (embedfile.4ht): added support for the embedfile
	package.
	https://github.com/michal-h21/tex4ebook/issues/99

2023-01-10  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html5.tex (html5.4ht): added default CSS style for sections
	and page dimensions.
	https://puszcza.gnu.org.ua/bugs/?592

2023-01-08  Karl Berry  <karl@freefriends.org>

	* Makefile (common_no_tex4ht_sty): rename to common_no_cond_sty,
	since tex4ht.sty is what is left out. Mention that we also leave
	out mktex4ht.4ht from all, since it's mostly just the list of packages.
	(tex4ht_sty_derived): dependency is now $(common_no_tex4ht_sty).
	(tex4ht_cond4ht_derived): can depend on $(common).
	
	* mktex4ht-cnf.tex,
	* tex4ht-html4.tex (html4.4ht, html4-math.4ht): copyright 2023.

2023-01-01  Michal Hoftich  <michal.h21@gmail.com>

	* tex4th-html4.tex (html4.4ht): set font size for \subsubsection 
	to be at least as big as the main text.
	https://puszcza.gnu.org.ua/bugs/?592

2022-12-30  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (nameref.4ht): fixed support for \\ in \caption.
	https://tex.stackexchange.com/a/670159/2891

2022-12-27  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathjax.tex (mathjax-latex-4ht.4ht): fixed use of \left and
	\right in a TOC.
	https://tex.stackexchange.com/a/669861/2891
	
2022-12-26  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (mdframed.4ht): prevent compilation error when we
	convert mdframed environment to picture and amsthm package is
	loaded.
	https://tex.stackexchange.com/a/669526/2891

	* tex4ht-4ht.tex (latex.4ht): declared \begin and \end as robust
	commands.
	https://tex.stackexchange.com/a/669675/2891

2022-12-24  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (mdframed.4ht): fixed support for Mdframed used
	inside of \Picture*.
	https://tex.stackexchange.com/a/669526/2891

	* tex4ht-html4.tex (html4.4ht): added support for the inclusion of
	MPS images.
	https://tex.stackexchange.com/a/669526/2891

2022-12-23  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): fixed paragraph handling in the
	tasks environment.
	https://tex.stackexchange.com/a/669437/2891

2022-12-21  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathml.tex (mathml.4ht): use <mstyle> instead of <mrow> for
	\dfrac and \dbinom, because MathJax had issues with <mrow>
	https://tex.stackexchange.com/a/669031/2891
	
2022-12-20  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathml.tex (mathml.4ht): use correct displayformat for
	\dfrac and \dbinom.
	https://tex.stackexchange.com/a/669031/2891

2022-12-17  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): removed large left margin from
	enumitem item with the Enumitem package.
	https://tex.stackexchange.com/a/668862/2891

2022-12-16  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): fixed numbering of \paragraph and
	\subparagraph in base classes.
	https://tex.stackexchange.com/q/668713/2891

	* tex4ht-4ht.tex (amsart.4ht.4ht, amsbook.4ht, amsproc.4ht,
	article.4ht, book.4ht, mwart.4ht, mwbk.4ht, mwrep.4ht,
	report.4ht, scrbook.4ht, scrreprt.4ht): prevent duplicate TOC
	printing with \Configure{tableofcontents*} when \tableofcontents
	command is used in the document.
	https://tex.stackexchange.com/q/668713/2891

2022-12-15  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathml.tex (mathml.4ht): disable stretchy attribute for
	the rest of <mo> elements produced by MathClass.
	https://github.com/michal-h21/make4ht/issues/101

2022-12-14  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathml.tex (mathml.4ht): disable stretchy attribute for
	MathClass-rel operators.
	https://github.com/michal-h21/make4ht/issues/97

2022-12-12  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathml.tex (mathml.4ht): added support for the \bf command.
	https://github.com/michal-h21/make4ht/issues/98

2022-12-11  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex (pdfbase-hooks.4ht): copyright 2022.

2022-12-10  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (pdfbase-hooks.4ht): fixed handling of Pdfbase
	outut routine, to prevent fatal error.
	https://puszcza.gnu.org.ua/bugs/?586

2022-12-09  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (tabularray.4ht),
	* tex4ht-html4.tex (html4.4ht): added support for the Tabularray
	package.
	https://puszcza.gnu.org.ua/bugs/?584

2022-12-04  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex (footnotebackref-hooks.4ht, glossaries.4ht):
	use standard headers to get the \write-1{version}.

2022-12-02  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (fancyvrb.4ht): use \nobreak to prevent unwanted
	line breaks.
	https://github.com/michal-h21/make4ht/issues/104

2022-12-01  Michal Hoftich  <michal.h21@gmail.com>
	
	* tex4ht-html4.tex (html4.4ht): fixed cross-reference links to
	footnotes.

	* tex4ht-html4.tex (html4.4ht): close paragraphs before multirow.

2022-11-28  Michal Hoftich  <michal.h21@gmail.com>
	
	* tex4ht-mathjax.tex (mathjax-latex-4ht.4ht): restore math
	environments automatically at the beginning of TikZ environments.
	https://tex.stackexchange.com/a/666771/2891

	* tex4ht-mathjax.tex (mathjax-latex-4ht.4ht): provided the
	\RestoreMathJaxEnvironments command.
	https://tex.stackexchange.com/a/666771/2891

	* tex4ht-mathjax.tex (mathjax-latex-4ht.4ht): removed the
	\fixmathjaxsec command, robust commands should be used instead.
	https://tex.stackexchange.com/q/666705/2891

	* tex4ht-4ht.tex (musicography.4ht): added support for the
	Musicography package.

2022-11-27  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex (imakeidx.4ht): copyright 2022.

2022-11-25  Michal Hoftich  <michal.h21@gmail.com>
	
	* tex4ht-4ht.tex (imakeidx.4ht): fixed error in
	\NewConfigure{makeindex}.

	* tex4ht-4ht.tex (indextools.4ht): added support for the Indextools
	package.
	https://github.com/michal-h21/tex4ebook/issues/95

2022-11-24  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-noncjk.tex (
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/musix/*
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/musix/*
	): added support for MusixTeX fonts.

2022-11-22  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (tablefootnote.4ht): added basic support for the
	Tablefootnote package.

	* tex4ht-4ht.tex (slashbox.4ht): added basic support for the
	Slashbox package.

	* tex4ht-4ht.tex (glossaries.4ht): removed spurious tags from the
	glossary.

	* tex4ht-4ht.tex (caption.4ht): fixed support for the
	\ContinuedFloat command.

2022-11-21  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (biblatex.4ht): removed spurious space from in text
	citations.

	* tex4ht-4ht.tex (nameref.4ht): removed spurious space after \ref.

	* tex4ht-4ht.tex (babel-sty-hooks.4ht): disable the \babelfont
	command.
	https://github.com/michal-h21/tex4ebook/issues/94

2022-11-20  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex (authblk.4ht, caption-hooks.4ht): copyright 2022.

2022-11-18  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (nameref.4ht): disable \index and \label commands
	in Caption's package version of \caption.
	
2022-11-17  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (
	usepackage.4ht, footnotebackref-hooks.4ht, footnotebackref.4ht
	): disable the package Footnotebackref.

	* tex4ht-4ht.tex (caption-hooks.4ht): don't use Caption's version of
	\@caption, as it doesn't work with \index command included inside.

2022-11-16  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathml.tex (mathml.4ht): use displaystyle=true attribute in
	Gather and similar environments, to force the display style for the
	enclosed content.
	https://github.com/michal-h21/make4ht/issues/101

2022-11-15  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (authblk.4ht): better handling of the authblk
	version of \maketitle
	https://tex.stackexchange.com/a/665125/2891

	* tex4ht-fonts-stix.tex: added support for the STIX fonts.

2022-11-04  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (xskak.4ht),
	* tex4ht-html4.tex (html4.4ht): added support for the Xskak package.

2022-11-02  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathml.tex (mathml.4ht): added extra group for \mathcal, to
	prevent errors in subscripts etc.
	https://github.com/michal-h21/make4ht/issues/95

2022-11-01  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathml.tex (mathml.4ht): don't add <mdt> elements for math
	array vspace, as it can lead to wrong size of the table.
	https://github.com/michal-h21/make4ht/issues/91

	* tex4ht-mathml.tex (mathml.4ht): prevent use of Unicode characters
	inside \mathcal. 
	https://github.com/michal-h21/make4ht/issues/95

2022-10-31  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathml.tex (mathml.4ht, html-mml.4ht): fixed output of the
	\boxed command.
	https://github.com/michal-h21/make4ht/issues/94

	* tex4ht-unicode.tex (unicode.4ht): fixed Unicode characters for
	more long arrow commands.
	https://github.com/michal-h21/make4ht/issues/86

	* tex4ht-4ht.tex (minted.4ht): don't insert comments in
	\mintedinline, it can cause removal of HTML tags.
	https://github.com/michal-h21/make4ht/issues/92
	
2022-10-30  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex (cleveref.4ht),
	* tex4ht-unicode.tex (unicode.4ht): copyright 2022.

2022-10-27  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (cleveref.4ht): removed spurious spaces produced by
	non-commented end lines.
	https://github.com/michal-h21/make4ht/issues/89

	* tex4ht-html4.tex (html4.4ht),
	* tex4ht-mathml.tex (mathml.4ht): fixed wrong horizontal lines in
	tables.
	https://github.com/michal-h21/make4ht/issues/87

	* tex4ht-html4.tex (html4.4ht): remove extra vertical lines after
	last \hline in a table.
	https://github.com/michal-h21/make4ht/issues/88

2022-10-26  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (subfiles.4ht): fixed handling of environments
	inside TeX files included using \subfile.
	https://github.com/michal-h21/make4ht/issues/84

2022-10-25  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (fontmath.4ht, plain.4ht),
	* tex4ht-html4.tex (html4-math.4ht),
	* tex4ht-unicode.tex (unicode.4ht): fixed \Longrightarrow and
	\Longleftarrow symbols.
	https://github.com/michal-h21/make4ht/issues/86

	* tex4ht-4ht.tex (endnotes.4ht): fixed clash between Endnotes and
	BibLaTeX.
	https://tug.org/pipermail/tex4ht/2022q4/003274.html

	* tex4ht-mathml.tex (mathml.4ht, html-mml.4ht): fixed support for
	\hline inside the array environment.
	https://tex.stackexchange.com/a/662845/2891

2022-10-23  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): added the Gin-percent option. It
	sets the dimention of images in percent of the page width.
	https://tex.stackexchange.com/a/563314/2891

2022-10-20  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (floatrow.4ht): basic support for the Floatrow
	package.
	https://puszcza.gnu.org.ua/bugs/?578
	https://tex.stackexchange.com/a/662426/2891

2022-10-19  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4-math.4ht): calculate vertical alignment
	for inline math.
	https://tex.stackexchange.com/a/662257/2891

2022-10-17  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (latex.4ht): declare \Configure{MathJaxSource} as
	an alias to \Configure{MathjaxSource}, for the consistency with the
	other MathJax configuration names.

	* tex4ht-mathjax.tex (mathjax-latex-4ht.4ht): added
	\Configure{MathJaxMacros} for inclusion of file with \LaTeX\ command
	declarations.

2022-10-11  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathjax.tex (mathjax-latex-4ht.4ht): corrected Mhchem
	support.

2022-10-06  Michal Hoftich  <michal.h21@gmail.com>
	
	* tex4ht-mathjax.tex (mathjax-latex-4ht.4ht): added basic support
	for Mhchem.

	* tex4ht-mathjax.tex (mathjax-latex-4ht.4ht): added basic support
	for \label commands inside equations.
	https://tex.stackexchange.com/a/660581/2891

2022-10-05  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathml.tex (mathml.4ht): use displaystyle attribute also in
	array.
	https://tex.stackexchange.com/a/660509/2891

2022-10-04  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathml.tex (mathml.4ht): use displaystyle attribute in
	equation like environments to get correct size of fractions and
	other elements.
	https://tex.stackexchange.com/a/660509/2891

	* tex4ht-4ht.tex (beamer.4ht): removed nonsensical SVG elements from
	the columns environment.

2022-10-03  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (beamer.4ht): disable frame breaks.

2022-09-30  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (usepackage.4ht, tagpdf-hooks.4ht): basic Tagpdf
	package support.

2022-09-29  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (beamer.4ht),
	* tex4ht-html4.tex (html4.4ht): fixed tag mismatch for BibLaTeX
	bibliographies that are spread over several slides.

2022-09-27  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (beamer.4ht): don't redeclare \addtocontents, in
	order to prevent clash with BibLaTeX.

	* tex4ht-4ht.tex (beamer.4ht): declare hooks for \emph.

2022-09-26  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-modern.tex (
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/mathkerncmssi/mathkerncmssi.htf
	): added support for the Sansmathaccent font.

	* tex4ht-4ht.tex (usepackage.4ht, 
	lua-widow-control-hooks.4ht): added support for the
	Lua-widow-control package.

2022-09-22  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): use CSS grid for description list
	based enumerate environments.

	* tex4ht-html4.tex (html4.4ht): prevent reseting of list
	environments that are placed inside multicols environment.
	https://tex.stackexchange.com/q/659089/2891

2022-09-20  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (csbulletin.4ht): basic support for the CSTUG
	Bulletin.

2022-09-16  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (unicode-math-hooks.4ht): declare the \unimathsetup
	command.

	* tex4ht-sty.tex (tex4ht.sty): initialize the \SUPOn and \SUBOn
	macros.

	* tex4ht-4ht (usepackage.4ht): disable TeX4ht redefinitions of the ^
	character at the loading of the doc and hypdoc packages.

2022-09-14  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (usepackage.4ht, luatexja-hooks.4ht): prevent
	luatexja and luatexja-fontspec packages from loading.
	https://tex.stackexchange.com/a/287890/2891

2022-08-29  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4-math.4ht),
	* tex4ht-mathjax.tex (mathjax-latex-4ht.4ht): added support for
	display math environments delimited by $$.

2022-08-25  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (latex.4ht): make \left and \right commands robust.
	https://puszcza.gnu.org.ua/bugs/?423

2022-08-22  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.4ht (html4.4ht): redefine meaning of \% inside of the
	\Css command for correct output of percentages to the CSS file.

2022-08-17  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): save title used in titlepage in Koma
	script classes to the xref file, so it is available in the <title>
	element.
	https://tex.stackexchange.com/q/654343/2891

	* tex4ht-4ht.tex (babel-sty-hooks.4ht, graphics-hooks.4ht): fixed
	support for the early^ option with Babel and Graphics packages.
	https://tex.stackexchange.com/q/654236/2891

	* tex4ht-mathml.tex (html-mml.4ht): test argument of \mathopen in
	Amsmath equation.
	https://tex.stackexchange.com/q/654236/2891

2022-08-11  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html5.tex (html5.4ht): fixed support for the figure*
	environment.
	https://tex.stackexchange.com/q/653084/2891

2022-08-04  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (latex.4ht): revert to the original definition of
	\% when TeX4ht doesn't compile literate sources.
	https://tex.stackexchange.com/a/652950/2891

2022-07-26  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathml.tex (mathml.4ht): protect \sum etc., in order to
	work in sectioning commands.

2022-07-25  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (biblatex.4ht): don't redefine \MakeUppercase and
	\MakeLowercase in BibLaTeX.

2022-07-24  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (babel.4ht): don't redefine \ref in Babel.
	https://tex.stackexchange.com/a/651875/2891

2022-07-16  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (latex.4ht): make \ref and \Ref commands robust.
	https://tex.stackexchange.com/a/651075/2891

2022-07-08  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-jats.tex (jats.4ht): overwrite MathML redefinitions for
	basic font commands configurations.

2022-07-07  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-mnsymbol.tex: added support for the MnSymbol fonts.
	* tex4ht-4ht.tex (usepackage.4ht, bookmark-hooks.4ht): prevent
	errors with the Bookmark package.
	https://tex.stackexchange.com/a/650128/2891

2022-07-05  Karl Berry  <karl@freefriends.org>

	* Makefile (tex4ht_4ht_derived): add texpower.
	(all): rm texput.log, no need to check it.
	* tex4ht-4ht.tex (\writesixteen),
	* tex4ht-sty.tex (\writesixteen): just one "Verify length"
	is enough, without exclamation points (irritating match when
	searching for TeX error messages), especially we don't do any such
	verification.

2022-07-05  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (latex.4ht): don't redefine \MakeUppercase,
	\MakeLowercase and \@tabacckludge.
	https://puszcza.gnu.org.ua/bugs/?477

2022-07-04  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-options.tex (tex4ht.4ht): load jats.4ht before mathml.4ht.

	* tex4ht-mathml.tex (mathml.4ht, html-mml.4ht): added \a:mathml
	prefix for more elements where it was missing.

	* tex4ht-mathml.tex (mathml.4ht): use \a:mathml prefix for Ulem
	commands.

	* tex4ht-4ht.tex (nameref.4ht): use \protected@xdef in definition of
	caption title, to prevent further errors.
	https://tex.stackexchange.com/a/649734/2891

2022-07-03  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (colortbl.4ht): fixed error when \arrayrulecolor is
	used outside of Tabular.
	https://tex.stackexchange.com/a/649734/2891

2022-07-01  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (hyperref.4ht): fixed handling of undefined
	references in the \hyperref command.
	https://tex.stackexchange.com/a/649552/2891

2022-06-30  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathml.tex (mathml.4ht): retain text formatting inside
	\mathop.
	https://tug.org/pipermail/tex4ht/2016q4/001631.html

2022-06-29  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-jats.4ht (jats.4ht): added support for list environments.

2022-06-27  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (nameref.4ht): disable \index and \label inside
	\caption, to prevent fatal errors.

2022-06-24  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-jats.4ht (jats.4ht): added support for pictures.
	* tex4ht-jats.4ht (jats.4ht): declare XML extension, print # symbol
	in links.

2022-06-21  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (latex.4ht): fixed support for \index commands
	inside \caption.
	https://tex.stackexchange.com/a/647924/2891

2022-06-20  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (pdfpages.4ht): added support for the Pdfpages
	package.

	* tex4ht-4ht.tex (hyperref-hooks.4ht): declare \Hy@numberline.

2022-06-17  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-jats.tex (jats.4ht): basic \maketitle support.

2022-06-16  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-jats.tex (jats.4ht): added support for the quote
	environment.
	https://tex.stackexchange.com/q/647208/2891

2022-06-15  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-jats.tex (jats.4ht): added support for Koma, AMS and Memoir
	classes, figures, tables and footnotes.

	* tex4ht-jats.tex (jats.4ht): added xml:lang support for the article
	element.

2022-06-14  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht-tex (usepackage.4ht, ctexart-hooks.4ht, ctexart.4ht):
	added support for the Ctexart class.
	https://tex.stackexchange.com/a/647738/2891

2022-06-13  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-cjk-utf8.tex (
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/cjk/utf8/unisong*.htf
	): renamed utf8song*.htf to unisong*.htf, as the upstream fonts were
	renamed.
	https://tex.stackexchange.com/q/647557/2891

2022-06-10  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-jats.tex (jats.4ht): added basic formatting support for
	JATS.
	https://tex.stackexchange.com/q/647208/2891

2022-06-09  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (latex.4ht): don't update \@currentlabel for
	starred sectioning commands.

2022-06-08  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (ifthen.4ht): restore \ifthen from
	\NROrg@ifthenelse only when it is defined.

	* tex4ht-4ht.tex (minted-sty-hooks.4ht): fixed deprecated way of
	calling to package hooks.

2022-06-01  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-modern.tex (
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/mlm/ec-mlm.htf,
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/mlm/ec-mlmvt.htf
	): added EC versions of Mlmodern fonts.
	https://tex.stackexchange.com/a/643260/2891

2022-05-24  Karl Berry  <karl@freefriends.org>

	* tex4ht-cond4ht.tex (\mkfilename == mktex4ht.4ht):
	instead of doing an \ifx inside \usepackage[...], set and use
	\toks0. Seems to avoid some instances of 
	"(\end occurred when \ifx on line NN was incomplete)".

2022-05-23  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (xr-hyper.4ht): added closing \fi to prevent
	warning about unclosed \ifx.
	* tex4ht-sty.tex (tex4ht.sty): use higher value for cut files
	counter, to allow generating of more than 9999 files.
	https://tug.org/pipermail/tex4ht/2022q2/003234.html

2022-05-22  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (listings.4ht),
	* tex4ht-html4.tex (html4.4ht): removed spurious line from listings.
	https://tex.stackexchange.com/a/645197/2891

2022-05-19  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (cancel.4ht),
	* tex4ht-html4.tex ( html4.4ht, html-math.4ht),
	* tex4ht-mathml.tex (mathml.4ht): Added support for the Cancel
	package.
	https://github.com/michal-h21/make4ht/issues/76

2022-05-18  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathml.tex (mathml.4ht): fixed support for \overrightarrow
	and \overleftarrow.
	https://github.com/michal-h21/make4ht/issues/76

2022-05-13  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): added option "cut-fullname", to
	produce full section file names based on jobname and section type.
	By default, both are truncated to two characters.
	https://tex.stackexchange.com/a/644072/2891

2022-05-09  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-modern.tex (
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/mlm/mlmex.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/mlm/mlmsy.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/mlm/rm-mlm.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/mlm/mlmbsy.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/mlm/rm-mlmvt.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/mlm/mlmmi.htf
	): Added support for ML Modern fonts.
	https://tex.stackexchange.com/a/643260/2891

2022-05-08  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex (xrhyper-hooks.4ht): copyright.

2022-05-05  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (tcolorbox.4ht): fixed support for Nameref.
	https://github.com/michal-h21/make4ht/issues/75

	* tex4ht-mathml.tex (mathml.4ht): fixed underbrace rendering.
	https://github.com/michal-h21/make4ht/issues/76

2022-05-04  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (tcolorbox.4ht): fixed \label support for
	tcolorbox.
	https://github.com/michal-h21/make4ht/issues/75

2022-05-02  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (xrhyper-hooks.4ht, xr-hooks.4ht): fixed support
	for the cut files.
	https://puszcza.gnu.org.ua/bugs/?561

2022-05-01  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex,
	* tex4ht-mathml.tex,
	* tex4ht-options.tex: copyright 2022, \write version.

2022-04-29  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (multicol.4ht),
	* tex4ht-html4.tex (html4.4ht): moved HTML code for Multicol to
	from multicol.4ht to html4.4ht. Fixed minor CSS issues.
	* tex4ht-4ht.tex (enumitem.4ht): execute code stored in the "after"
	key after closing commands for the environment.
	* tex4ht-html4.tex (html4.4ht): vertically align enumitem numers and
	content, provide some vertical spacing.

2022-04-28  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (ooffice.4ht): added dummy definition of
	\cell:style:name to prevent compilation error with longtable.
	* tex4ht-4ht.tex (longtable.4ht),
	* tex4ht-html4.tex (html4.4ht): fixed support for longtable
	captions.
	https://tex.stackexchange.com/a/642350/2891

2022-04-27  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): corrected class names for Ulem
	commands in the math mode.
	* tex4ht-mathml.tex (mathml.4ht): work arounds for displaying
	lines for Ulem commands.

2022-04-26  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (ulem.4ht),
	* tex4ht-html4.tex (html4.4ht),
	* tex4ht-mathml.tex (mathml.4ht): fixed support for the Ulem
	package.
	https://github.com/michal-h21/make4ht/issues/72

	* tex4ht-4ht.tex (xr.4ht, xr-hooks.4ht): added support for external
	documents in subdirectories.
	https://puszcza.gnu.org.ua/bugs/?560

2022-04-25  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (xr-hyper.4ht,
	xrhyper-hooks.4ht): added support for external documents in
	subdirectories.
	https://puszcza.gnu.org.ua/bugs/?560
	* tex4ht-4ht.tex (breqn.4ht): added support for the Breqn package.
	https://tex.stackexchange.com/a/641918/2891

2022-04-24  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (latex.4ht): fixed spurious space inserted after
	environemnents used inside paragraphs.

2022-04-19  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-sty.tex (tex4ht.sty): output name of the .4tc file to the
	console and log file, to enable latexmk to track it.
	https://tug.org/pipermail/tex4ht/2022q2/003213.html

2022-04-17  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (xcolor.4ht),
	* tex4ht-html4.tex (html4.4ht): fixed support for blended color
	declarations in the form of `green!80!black`.
	https://tex.stackexchange.com/a/641075/2891

2022-04-14  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (latex.4ht): fixed support for \labelformat in
	sections.
	https://puszcza.gnu.org.ua/bugs/?559
	* tex4ht-4ht.tex (hyperref.4ht): added supporting code for TeX4ht
	from hyperref.sty.
	https://puszcza.gnu.org.ua/bugs/?559

2022-04-13  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (latex.4ht): added support for the \Ref command.
	https://puszcza.gnu.org.ua/bugs/?559
	* tex4ht-4ht.tex (latex.4ht,nameref.4ht): added support for the
	\ref* command.
	https://puszcza.gnu.org.ua/bugs/?559

2022-04-05  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (ooffice.4ht): added option to produce inline
	description lists.
	https://puszcza.gnu.org.ua/bugs/?531

2022-04-04  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex (minted.4ht),
	* tex4ht-mathjax.tex (mathjax-latex-4ht.4ht): copyright 2022.

2022-04-04  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (minted.4ht): fixed spurious whitespace produced by
	\mintinline.
	* tex4ht-html4.tex (html4.4ht): disable ht-fonts for inline Minted.

2022-03-31  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): support frames and background colors
	in custom Listings environments.
	https://tex.stackexchange.com/a/639135/2891

2022-03-30  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-sty.tex (tex4ht.sty): don't redefine \IfFileExists. It can
	break packages that don't expect extra tokens at it's end.
	https://tex.stackexchange.com/a/638965/2891

2022-03-29  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (subfiles.4ht): fixed support for multiple included
	files in the Subfiles package.
	https://tex.stackexchange.com/a/353117/2891

	* tex4ht-html4.tex (html4.4ht): handle \# character in \title.
	https://tex.stackexchange.com/a/638821/2891

2022-03-28  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (ooffice.4ht): don't use bold font for \textsf
	command.

2022-03-25  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (biblatex.4ht): fixed issues with backref page
	numbers.
	https://github.com/michal-h21/make4ht/issues/58

2022-03-24  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathjax.tex (mathjax-latex-4ht.4ht): use \detokenize to
	prevent math environments from expansion.
	https://puszcza.gnu.org.ua/bugs/?557
	* tex4ht-4ht.tex (listings.4ht): ignore spurious spaces at beginning
	of listings.
	* tex4ht-html4.tex (html4.4ht): removed extra <br> tags, fixed
	issues with extra newlines.
	* tex4ht-4ht.tex (biblatex.4ht): removed spurious whitespace after
	backrefences.

2022-03-21  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (arydshln.4ht): added basic support for the
	Arydshln package.
	https://tex.stackexchange.com/a/637897/2891

2022-03-20  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (graphics.4ht): don't execute graphics rules when
	user selected other driver than dvips.

2022-03-20  Karl Berry  <karl@freefriends.org>

	* update-htfonts: add installed files, not dev.

2022-03-20  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): added support for background and
	border colors in Listings.
	https://tex.stackexchange.com/a/637789/2891

2022-03-17  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-opensans.tex: added support for OpenSans fonts.
	https://tex.stackexchange.com/q/637314/2891

2022-03-16  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (unicode-math-hooks.4ht): reset catcodes after
	\RequirePackage.

	* tex4ht-4ht.tex (titlesec-hooks.4ht, usepackage.4ht): revert
	patching of sectioning commands by Titlesec.
	https://tex.stackexchange.com/q/637314/2891

2022-03-15  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (unicode-math-hooks.4ht): don't load Fontspec if it
	is already loaded.
	https://github.com/michal-h21/make4ht/issues/67

2022-03-14  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (biblatex.4ht): removed unused boolean variable.
	https://tex.stackexchange.com/a/637132/2891

2022-03-08  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (threeparttable.4ht),
	* tex4ht-html4.tex (html4.4ht): added support for the Threeparttable
	package.
	https://puszcza.gnu.org.ua/bugs/?556

2022-02-28  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4-math.4ht): removed math configuration for
	the quotation environment, it was probably mistake that it existed.
	https://github.com/Witiko/markdown/issues/90
	* tex4ht-html4.tex (html4.4ht, html4-math.4ht): correctly close
	<div>.
	https://github.com/Witiko/markdown/issues/90

2022-02-22  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (
	  article.4ht, book.4ht, mwart.4ht, mwbk.4ht,
	  mwrep.4ht, report.4ht, scrbook.4ht, scrreprt.4ht
	): corrected handling of the tocdepth counter.

2022-02-19  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (hyperref-hooks.4ht): define autoref captions, so
	they are available in the preamble.
	https://tex.stackexchange.com/q/634043/2891

	* tex4ht-4ht.tex (usepackage.4ht, pdfx-hooks.4ht): disable loading
	of the Pdfx package.
	https://tex.stackexchange.com/q/634043/2891

2022-02-16  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): write CSS for table column width
	only once.
	* tex4ht-4ht.tex (listings.4ht): use normal space instead of \:nbsp,
	in order to enable line breaking.
	https://tex.stackexchange.com/a/634033/2891
	* tex4ht-4ht.tex (listings.4ht): load Xcolor with Listings to
	prevent compilation errors with the syntax color detection.
	* tex4ht-html4.tex (html4.4ht): use <pre> for Listings.

2022-02-10  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (usepackage.4ht, breakurl-hooks.4ht): fixed
	compilation error with the Breakurl package.
	https://puszcza.gnu.org.ua/bugs/?552

2022-02-06  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-noncjk.tex (
	.tex4ht.dir/texmf/tex4ht/ht-fonts/win/1251/cm/sauter/wnti.htf
	.tex4ht.dir/texmf/tex4ht/ht-fonts/iso8859/5/cm/sauter/wnti.htf
	): Fixed font tables for the italics Cyrillic Wn font
	https://puszcza.gnu.org.ua/bugs/?549

	* tex4ht-ooffice.tex (ooffice.4ht): fixed links for the \cite
	command.
	https://puszcza.gnu.org.ua/bugs/?547

	* tex4ht-html4.tex (html4.4ht): declare table properties necessary
	for correct rule support in Longtable.
	https://tug.org/pipermail/tex4ht/2022q1/003137.html

2022-02-04  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): use CSS grid for Enumitem lists.
	https://tex.stackexchange.com/a/632681/2891

2022-02-03  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): fixed support for vertical rules in
	tables.
	https://tug.org/pipermail/tex4ht/2022q1/003125.html

2022-02-02  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (tasks.4ht),
	* tex4ht-html4.tex (html4.4ht): added support for the Tasks
	package.
	https://tex.stackexchange.com/a/632391/2891

2022-02-01  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): added support for colors in
	listings.
	https://tex.stackexchange.com/a/632286/2891

	* tex4ht-4ht.tex (color.4ht): don't redefine \@undeclaredcolor, in
	order to preserve setting of the current color by the Color package.
	https://tex.stackexchange.com/a/632286/2891

2022-01-30  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-noncjk.tex (
	.tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/ams/cyrillic/wncyr.htf
	): fixed some wrong characters.
	https://puszcza.gnu.org.ua/bugs/?546

2022-01-28  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-tex4ht.tex (tcolorbox.4ht): fixed support for boxes with
	titles.
	https://github.com/michal-h21/make4ht/issues/62

2022-01-23  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex,
	* tex4ht-html5.tex: 2022.
	* Makefile (diff-*): report targets.

2022-01-21  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (latex.4ht): use global definition for current
	label, in order to support labels inside groups.
	https://github.com/michal-h21/tex4ebook/issues/91

2022-01-20  Karl Berry  <karl@freefriends.org>

	* update-htfonts: new script to compare/update htfonts from
	dev to the installed (TL) tree.
	* Makefile (diff-htfonts): just run the new script.
	(update-htfonts): new target to run the script.
	(diff-all): also depend on diff-src and diff-htfonts.
	(update-all-fonts): new target to rerun all the *-fonts-*.tex files.

2022-01-20  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html5.tex (html5.4ht): add space after caption label.
	https://github.com/michal-h21/tex4ebook/issues/88

2022-01-19  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (ooffice.4ht): added support for the Framed
	package's boxes.

2022-01-18  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-noncjk.tex (
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/jknappen/tc/tcrm.htf
	): new version of the HTF file that doesn't use private unicode
	characters.

	* tex4ht-fonts-ebgaramond.tex,
	* tex4ht-fonts-fourier.tex,
	* tex4ht-fonts-kpfonts.tex,
	* tex4ht-fonts-libertine.tex,
	* tex4ht-fonts-newtx.tex,
	* tex4ht-fonts-noncjk.tex (
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/adobe/avantgar/pagdo8c.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/adobe/avantgar/pagdo8c.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/adobe/avantgar/pagdo8r.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/adobe/courier/pcrbo7t.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/adobe/courier/pcrbc7t.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/adobe/courier/pcrbo8c.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/adobe/courier/pcrbo8c.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Century_Schoolbook_L/pncr8c.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Century_Schoolbook_L/pncr8c.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Linux_Biolinum_T/LinBiolinumT-lf-ly1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Linux_Biolinum_T/LinBiolinumT-lf-sc-ly1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Linux_Biolinum_T/LinBiolinumT-lf-ts1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Linux_Biolinum_T/LinBiolinumT-sup-ly1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Linux_Biolinum_T/LinBiolinumTB-lf-ly1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Linux_Biolinum_T/LinBiolinumTB-lf-sc-ly1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Linux_Biolinum_T/LinBiolinumTB-lf-ts1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Linux_Biolinum_T/LinBiolinumTB-sup-ly1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Linux_Biolinum_T/LinBiolinumTI-lf-sc-ly1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Linux_Biolinum_T/LinBiolinumTI-sup-ly1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Linux_Libertine_Display_T/LinLibertineDisplayT-lf-ly1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Linux_Libertine_Display_T/LinLibertineDisplayT-lf-ts1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Linux_Libertine_Display_T/LinLibertineDisplayT-sup-ly1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Linux_Libertine_Mono_T/LinLibertineMTB-lf-ly1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Linux_Libertine_Mono_T/LinLibertineMTB-lf-ts1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Linux_Libertine_Mono_T/LinLibertineMTB-sup-ly1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Linux_Libertine_T/LinLibertineT-lf-ly1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Linux_Libertine_T/LinLibertineT-lf-sc-ly1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Linux_Libertine_T/LinLibertineT-lf-ts1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Linux_Libertine_T/LinLibertineTB-lf-ly1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Linux_Libertine_T/LinLibertineTB-lf-sc-ly1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Linux_Libertine_T/LinLibertineTB-lf-ts1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Linux_Libertine_T/LinLibertineTBI-lf-ly1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Linux_Libertine_T/LinLibertineTBI-lf-ts1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Linux_Libertine_T/LinLibertineTI-lf-ly1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Linux_Libertine_T/LinLibertineTI-lf-ts1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Linux_Libertine_T/LinLibertineTZ-lf-ly1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Linux_Libertine_T/LinLibertineTZ-lf-ts1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Linux_Libertine_T/LinLibertineTZI-lf-ly1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Linux_Libertine_T/LinLibertineTZI-lf-sc-ly1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Linux_Libertine_T/LinLibertineTZI-lf-ts1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Linux_Libertine_T/LinLibertineTZI-sup-ly1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/MinLib/MinLibBol-ly1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/MinLib/MinLibBolIta-ly1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/MinLib/MinLibIta-ly1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/MinLib/MinLibReg-ly1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Nimbus_Roman_No9_L/tcxsl.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/TeXGyreTermes/ts1-qtmb.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/TeXGyreTermesX/ntx-Bold-lf-ly1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Utopia/futr8c.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Utopia/futr8c.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Utopia/futr9c.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Utopia/futr9c.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/ntxtm/ntx-Italic-tlf-th-ly1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/t1xtt/tyxtt.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/tcxtt/tcxtt.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/txtt/txtt.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Kp-SC-Expert/jkpmsc7t.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Kp-SC-Expert/jkposnmsc7t.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Kp-SC-Expert/jkpkosmsc7t.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Tt-Kp-Exp/jkpttmn7t.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Tt-Kp-Exp/jkpttosmn7t.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Tt-Kp-Exp/jkpttosnmn7t.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Tt-Kp-Exp/jkpttvosmn7t.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/Kp-Companion/jkpmn7c.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/EB_Garamond_Regular/EBGaramond-Regular-inf-ly1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/EB_Garamond_Regular/EBGaramond-Regular-lf-sc-ly1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/EB_Garamond_Regular/EBGaramond-Regular-lf-ly1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/EB_Garamond_Regular/EBGaramond-Regular-lf-swash-ly1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/EB_Garamond_Regular/EBGaramond-Regular-sup-ly1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/EB_Garamond_Regular/EBGaramond-Regular-lf-ts1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/EB_Garamond_Italic/EBGaramond-Italic-lf-swash-ly1.htf
	): use XML entity instead of ' for
	single quote character.

2022-01-12  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (ooffice.4ht): added alternative
	text support for images.
	https://tex.stackexchange.com/a/630017/2891

	* tex4ht-4ht.tex (graphicx.4ht): declare GraphicsAlt configuration,
	in order to support the \includegraphics's alt attribute in other
	output formats than HTML.

2022-01-11  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (usepackage.4ht, unicode-math-hooks.4ht): added
	support for the Unicode-math package.
	https://tex.stackexchange.com/a/629731/2891

2022-01-09  Karl Berry  <karl@freefriends.org>

	* tex4ht-ooffice.tex,
	* tex4ht-4ht.tex: copyright 2022.

2022-01-07  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (ooffice.4ht): use \par after some environments to
	prevent ommision of the following text.

	* tex4ht-ooffice.tex (ooffice.4ht): correctly handle text alignment
	environments inside enumerate items.

	* tex4ht-ooffice.tex (ooffice.4ht): added NoSection option to
	disable frames around text alignment environments.

2022-01-05  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (adjustbox.4ht): prevent undefined control
	sequences with Adjusbox.

2022-01-04  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (tcolorbox.4ht): fixed conflict with updated
	Tcolorbox package.

2022-01-02  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex (ifthen.4ht, url.4ht): use |<TeX4ht copywrite>
	to get the \write-1 version lines.

2021-12-29  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (ooffice.4ht): don't require \noindent in all
	cases after the quote environment.
	https://tex.stackexchange.com/a/628356/2891

2021-12-28  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (ooffice.4ht): don't indent paragraph after
	the quote environment.
	https://tex.stackexchange.com/a/628356/2891

2021-12-27  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (cleveref.4ht): remove nested links from Cleveref.
	https://tex.stackexchange.com/a/625385/2891

	* tex4ht-4ht.tex (biblatex.4ht): removed code that interfered with
	spacing. Redefined \addnbspace to produce non-breaking space
	character.
	https://tex.stackexchange.com/a/628208/2891

2021-12-26  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex (minted.4ht): copyright 2021.

2021-12-25  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (xifthen.4ht): fixed support for the Xifthen package.
	https://tex.stackexchange.com/a/628068/2891

2021-12-20  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (biblatex.4ht): added support for back links.
	https://github.com/michal-h21/make4ht/issues/58

	* tex4ht-4ht.tex (backref.4ht): removed spurious space.

2021-12-19  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (minted.4ht): redefine Minted commands that
	cause issues with TeX4ht documentation.

	* tex4ht-4ht.tex (backref.4ht): added support for the Backref package.
	https://github.com/michal-h21/tex4ebook/issues/64

2021-12-17  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (ooffice.4ht): use \ShowPar in \:DefineParagraph,
	otherwise the paragraph start doesn't show in some cases.
	https://github.com/michal-h21/make4ht/issues/59

2021-12-16  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-ebgaramond.tex: updated EB Garamond fonts.
	The HTF files are now in various directories depending on the font
	weight and shape!
	https://github.com/michal-h21/make4ht/issues/57

	* tex4ht-4ht.tex (biblatex-chicago-hooks.4ht): reset catcodes
	before loading of Ifthen, colon remains letter otherwise, which
	causes various issues.
	https://puszcza.gnu.org.ua/bugs/?480#discussion

2021-12-14  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (usepackage.4ht, biblatex-chicago-hooks.4ht):
	load Ifthen package before BibLaTeX-Chicago.
	https://puszcza.gnu.org.ua/bugs/?480#discussion
	* tex4ht-4ht.tex (url.4ht): use \protected for redefinition of the \url
	command.
	https://puszcza.gnu.org.ua/bugs/?480#discussion

2021-12-11  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (ooffice.4ht): enclose image file names in
	braces, in order to support spaces in filenames.

	* tex4ht-4ht.tex (ifthen.4ht, hyperref-hooks.4ht): disable Nameref from
	patching of the \ifthenelse command.
	https://puszcza.gnu.org.ua/bugs/?534
	
2021-12-09  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (ooffice-mml.4ht): remove spurious space
	after inline math.
	https://github.com/michal-h21/make4ht/issues/55

2021-12-08  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (hyperref-hooks.4ht): reintroduced loading of
	Nameref due to various issues that it's removal caused.

2021-12-02  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathjax.tex (mathjax-latex-4ht.4ht): search for \par<word
	boundary> in regex that replaces \par commands, as suggested by
	David Carlisle. https://tex.stackexchange.com/q/624671/2891
	* tex4ht-4ht.tex (usepackage.4ht, graphbox-hooks.4ht): revert
	changes made by the Graphbox package to \Gin@setfile.
	https://github.com/michal-h21/tex4ebook/issues/84
	
2021-12-01  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathjax.tex (mathjax-latex-4ht.4ht): search for \par<space> in
	regex that replaces \par commands.
	https://puszcza.gnu.org.ua/bugs/?537

2021-11-30  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathml.tex (mathml.4ht): use numerical entity instead of named
	entity for &ApplyFunction. LibreOffice couldn't render the document
	properly.
	https://github.com/michal-h21/make4ht/issues/54

2021-11-26  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex (adjustbox.4ht): copyright.

2021-11-26  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (adjustbox.4ht): fixed Adjusbox support.

2021-11-24  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (tcolorbox.4ht): delete label name after use, to
	prevent its use in subsequent Tcolorbox environments.

2021-11-23  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex (tcolorbox.4ht): copyright 2021.

2021-11-23  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (tcolorbox.4ht): add destinations for \label to
	Tcolorbox environments.
	https://tex.stackexchange.com/a/623697/2891
	* tex4ht-4ht.tex (latex.4ht): protect redefinitions of \( and \),
	so they work correctly in sectioning commands with MathML.
	https://github.com/michal-h21/make4ht/issues/52#issuecomment-976835368

2021-11-19  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathjax.tex (mathjax-latex-4ht.4ht): use LaTeX 3 commands in
	\VerbMath, this enables us to remove dependency on external packages.

2021-11-09  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): added CSS declaration that enables
	table row rules.
	* tex4ht-html5.tex (html5.4ht): removed CSS rules declaration that
	was moved to html4.4ht.
	https://tex.stackexchange.com/a/621871/2891

2021-11-08  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathml.tex (mathml.4ht): use stretchy="false" for math
	operators that shouldn't be stretchy.
	https://tex.stackexchange.com/a/621839/2891

2021-11-05  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (hyperref-hooks.4ht, biblatex-hooks.4ht):
	removed loading of the Nameref package from package hooks. It
	caused various issues and I don't even remember what was the point.
	https://puszcza.gnu.org.ua/bugs/?534

2021-11-04  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): fix for paragraphs after AMS
	classes proof environment.
	https://tex.stackexchange.com/a/621370/2891

2021-10-31  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex (biblatex-hooks.4ht): copyright 2021.

2021-10-28  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (biblatex-hooks.4ht): use LaTeX package hooks to load
	Nameref.
	https://tex.stackexchange.com/a/620503/2891

2021-10-22  Karl Berry  <karl@freefriends.org>

	* tex4ht-fonts-kpfonts.tex: use SmallCaps consistently,
	to avoid SmallCaps vs. Smallcaps clash on case-insensitive
	(file)systems.

2021-10-22  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (biblatex-hooks.4ht): load Nameref package with
	BibLaTeX. https://tex.stackexchange.com/a/619816/2891

2021-10-21  Karl Berry  <karl@freefriends.org>

	* Makefile (croncheck): add diff-htfonts.
	(diff-*, inst-*): tinker with output.
	
	* tex4ht-4ht.tex (mdframed.4ht): copyright 2021.

2021-10-21  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (tikz-hooks.4ht): fixed the externalization support.
	https://tex.stackexchange.com/a/619748/2891

2021-10-20  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-kpfonts.tex: added support for Kpfonts.
	https://puszcza.gnu.org.ua/bugs/index.php?261

	* tex4ht-html4.tex (html4.4ht): use bold font for newtheorem theorem
	headers.

	* tex4ht-ooffice.tex (ooffice.4ht): use Subtitle style for subtitles.
	https://puszcza.gnu.org.ua/bugs/?507

2021-10-19  Michal Hoftich  <michal.h21@gmail.com>
	
	* tex4ht-4ht.tex (caption.4ht): fixed number of parameters for
	\caption@@@addcontentsline.
	https://puszcza.gnu.org.ua/bugs/?532

	* tex4ht-ooffice.tex (ooffice.4ht): added subtitle support.
	https://puszcza.gnu.org.ua/bugs/?507

	* tex4ht-html4.tex (html4.4ht): added subtitle support.

	* tex4ht-4ht.tex (scrartcl.4ht, scrbook.4ht, scrreprt.4ht): added
	support for \subtitle command.
	https://puszcza.gnu.org.ua/bugs/?507

2021-10-18  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html5.tex (html5.4ht): removed CSS declaration that prevented
	horizontal scacking of images in figure environment.
	https://tex.stackexchange.com/a/619302/2891
	* tex4ht-ooffice.tex (ooffice.4ht): fixed abstract support for
	Koma classes.
	https://puszcza.gnu.org.ua/bugs/?507

2021-10-12  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): clean up for \paragraph and
	\subparagraph commands.
	https://puszcza.gnu.org.ua/bugs/?530#discussion
	* tex4ht-ooffice.tex (ooffice.4ht): fixed handling of paragraphs in
	\paragraph and \subpagraph.
	https://puszcza.gnu.org.ua/bugs/?530#discussion

2021-10-10  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-noncjk.tex (
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/stmaryrd/stmary.htf
	): fixes for some Unicode characters.
	* tex4ht-4ht.tex (
	scrartcl.4ht, scrbook.4ht, scrreprt.4ht
	): fix for \tt font undefined error.
	https://puszcza.gnu.org.ua/bugs/?529

2021-10-04  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (graphicx.4ht): added support for the
	\includegraphics alt key.
	https://github.com/latex3/latex2e/issues/651

2021-09-28  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): support for change of booktabs
	rule colors.
	https://tex.stackexchange.com/q/615729/2891

2021-09-26  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): draw table lines in \hline using CSS.
	https://puszcza.gnu.org.ua/bugs/?528
	* tex4ht-4ht.tex (longtable.4ht): redefine \LT@start to ommit box
	dimension checking, as it can lead to compilation errors when
	table is too tall.
	https://puszcza.gnu.org.ua/bugs/?527

2021-09-23  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): removed invalid CSS declaration.

2021-09-22  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (spanish.4ht): fix for clash between Spanish Babel and
	MathML configurations.

2021-09-17  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): fixed support for floating listings.
	https://tex.stackexchange.com/a/615703/2891
	* tex4ht-ooffice.tex (ooffice.4ht): fixed listings support in the ODT
	format.

2021-09-14  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathjax.tex (mathjax-latex-4ht.4ht): fixed TOC support
	for \exp command.
	https://puszcza.gnu.org.ua/bugs/?525
	* tex4ht-sty.tex (tex4ht.sty): fix issues with \PauseCutAt and
	\ContCutAt.
	https://puszcza.gnu.org.ua/bugs/?518

2021-09-12  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): use global definitions for passing
	information about vertical lines in the \multicolumn command.
	https://github.com/michal-h21/make4ht/issues/48

2021-09-09  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (ooffice.4ht): fixed issues with double slashes in
	image file names.

2021-08-24  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (usepackage.4ht, hyperxmp.4ht,
	hyperxmp-hooks.4ht): fixes for the Hyperxmp package.
	* tex4ht-4ht.tex (usepackage.4ht, 
	datetime2-hooks.4ht): undefine \pdffeedback command to prevent
	compilation error.

2021-08-22  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (siunitx.4ht),
	* tex4ht-html4.tex (html4.4ht): fixed MathJax support for Siunitx.
	https://github.com/josephwright/siunitx/issues/530

2021-08-14  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (biblatex.4ht): don't check for Hyperref when we
	define \TE@hook macro.

2021-08-12  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (ooffice.4ht): added support for SVG image
	inclusion.
	* tex4ht-ooffice.tex (ooffice.4ht): fixed support for images created by
	\Picture+{} and \Picture+{} commands.
	* tex4ht-4ht.tex (graphics.4ht, graphicx.4ht): moved mapping to
	.xbb files from graphicx.4ht to graphics.4ht, so they work with
	both packages.

2021-08-03  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (mdframed.4ht): correctly empty the frame title.
	https://puszcza.gnu.org.ua/bugs/?516#postcomment

2021-07-06  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (mwart.4ht, mwbk.4ht, mwrep.4ht): fixed caption
	support for MW classes.
	https://github.com/jsbien/repertuarXVI/issues/1

2021-07-05  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (biblatex.4ht): updated redefinitions of
	\MakeUppercase and \MakeLowercase to use the current code from
	LaTeX kernel. Also inserted BibLaTeX hooks for these commands.

2021-07-04  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex (showfonts.4ht, subcaption.4ht, subscript.4ht,
	tcilatex.4ht, th4.4ht, verbatim.4ht): \write-1 version.

2021-06-30  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (cleveref-hooks.4ht, cleveref.4ht): fixed support for
	\refstepcounter and amsthm theorems.
	https://tex.stackexchange.com/a/603194/2891

2021-06-27  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex (mwbk.4ht, natbib.4ht, report.4ht,
	revtex4.4ht, russianb.4ht): \write-1 version.

2021-06-24  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht (latex.4ht): use T1 encoding with LuaLaTeX or XeLaTeX.
	https://tex.stackexchange.com/a/602531/2891

2021-06-20  Karl Berry  <karl@freefriends.org>

	* Makefile (tex4ht_html4_derived): no more html4-uni.4ht.

2021-06-20  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4-uni.4ht),
	* tex4ht-options.tex (tex4ht.4ht): removed unused html4-uni.4ht file.

	* tex4ht-fonts-noncjk.tex (
	tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/misc/SkakNew.htf
	): fixed wrong characters, some characters need to be converted
	to pictures.

2021-06-20  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex (mathtools.4ht, multicol.4ht, multirow.4ht,
	mwart.4ht, mwbk.4ht, mwrep.4ht): \write-1 version.
	* tex4ht-mkht.tex: copyright 2021.

2021-06-19  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (latex.4ht),
	* tex4ht-unicode.tex (unicode.4ht): fixed support for \nobreakspace and
	\textellipsis in the picture mode.

2021-06-18  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mkht.tex (\ourtoks): rename from \toks (should not have
	used a TeX primitive originally), to fix mysterious
	error that appeared after LaTeX update:
! TeX capacity exceeded, sorry [input stack size=5000].! TeX capacity exceeded, sorry [input stack size=5000].
<argument> \mode_if_inner:F 

2021-06-17  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex,
	* tex4ht-c.tex,
	* tex4ht-html-speech.tex,
	* tex4ht-mathml.tex,
	* tex4ht-sty.tex: "the the" fixes.

2021-06-17  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (texmate.4ht),
	* tex4ht-html4.tex (html4.4ht): added support for the texmate package.

2021-06-13  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex (fontspec.4ht, graphics.4ht, lfeenc.4ht,
	longtable.4ht, ltugboat.4ht, latex209.4ht): \write-1 version.

2021-06-13  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathjax.tex (mathjax-latex-4ht.4ht): protect more
	commands from expansion in movable arguments.
	https://tex.stackexchange.com/a/601062/2891
	* tex4ht-html5.tex (html5.4ht): add vertical space between image and
	caption.

2021-06-12  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): remove vertical space in \item
	items that contain just one paragraph.
	https://tug.org/pipermail/tex4ht/2021q2/002997.html
	* tex4ht-4ht.tex (scrlayer.4ht): fix for runtime error when
	scrlayer checks whether it can access current page style.

2021-06-06  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex (moreverb.4ht, verbatim.4ht, fancyvrb.4ht,
	glossary.4ht, frenchb.4ht, greek.4ht): \write-1 version.

2021-06-03  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): start paragraph in list like
	environments items. https://puszcza.gnu.org.ua/bugs/?513

2021-05-31  Karl Berry  <karl@freefriends.org>

	* tex4ht-fonts-noncjk.tex (bbold.htf): copyright 2021.

2021-05-31  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-noncjk.tex (
	tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/bbold/bbold.htf
	): fixed wrong Unicode characters.
	https://tug.org/pipermail/tex4ht/2021q2/002986.html

2021-05-30  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex (exerquiz.4ht, extarticle.4ht, extbook.4ht,
	extletter.4ht, extproc.4ht, extreport.4ht): \write-1 version.

2021-05-23  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex (color.4ht, elsart.4ht, endnotes.4ht, eplain.4ht):
	\write-1 version.

2021-05-17  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): start new paragraph after abstract
	title.

2021-05-16  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (hyperref.4ht): added support for \label for
	\phantomsection.
	https://tex.stackexchange.com/a/597326/2891

2021-05-16  Karl Berry  <karl@freefriends.org>

	* bibtex2.tex (bibtex2.4ht),
	* tex4ht-4ht.tex (article.ht, babel.4ht, beamer.4ht,
	book.4ht, caption-hooks.4ht, caption.4ht): \write-1 version.

2021-05-09  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex (amsart.4ht, amsbook.4ht, amsproc.4ht,
	amsldoc.4ht, amsdtx.4ht, acm_proc_article-sp.4ht, spanish.4ht):
	\write-1 version.

2021-05-06  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (menukeys.4ht): use \Picture* for menukey images.
	* tex4ht-4ht.tex (fontawesome5.4ht, fontawesome5-hooks.4ht,
	fontawesome5-utex-helper-hooks.4ht): added support for Fontawesome5
	package.
	https://puszcza.gnu.org.ua/bugs/index.php?511
	* tex4ht-fonts-noncjk.tex (
	tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/fontawesome/fa5.htf
	): added Htf file for Fontawesome5 fonts.
	https://puszcza.gnu.org.ua/bugs/index.php?511

2021-05-04  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (colortbl.4ht),
	tex4ht-html4.tex (html4.4ht): added support for \arrayrulecolor 
	command.
	https://tex.stackexchange.com/a/595571/2891
	* tex4ht-4ht.tex (menukeys.4ht): added support for the menukeys
	package. https://puszcza.gnu.org.ua/bugs/?509
	* tex4ht-html4.4ht (html4.4ht): replace ~ by "\ " in TOC
	rendering macros. It should fix issues with Spanish Babel. 
	https://tex.stackexchange.com/a/595688/2891
	* tex4ht-4ht.tex (spanish.4ht): fixed issues with \' accent.
	https://tex.stackexchange.com/a/595688/2891

2021-05-02  Karl Berry  <karl@freefriends.org>

	* Makefile (diff-src, install-src, list-src): new targets
	to handle source files, found via svn status -v.
	* README: update.
	* archive/: move Makefile.exp and extra-bin/fls* here,
	so we don't install them as current source files.
	Still hope to use them one day.

	* tex4ht-4ht.tex (polyglossia.4ht, tuenc-xetex-input.4ht): 2021.
	(aa.4ht): \write version.

2021-04-30  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathml.tex (mathml.4ht): added special group in order
	to support subscripts in upright Greek characters.
	https://tex.stackexchange.com/a/595005/2891
	* tex4ht-mathml.tex (mathml.4ht): added special group to
	\math<xx> commands, in order to support their use in subscripts
	and superscripts without extra groups in TeX documents.
	* tex4ht-4ht.tex (beamer.4ht),
	tex4ht-html4.tex (html4.4ht): modernized Beamer support.

2021-04-29  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathml.tex (mathml.4ht): keep some Greek characters upright.
	https://tex.stackexchange.com/a/595005/2891

2021-04-27  Karl Berry  <karl@freefriends.org>

	* Makefile (inst-check-files): new target.

2021-04-27  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (hyperref.4ht): fixed issues with nameref when
	hyperref was loaded from class files.
	https://puszcza.gnu.org.ua/bugs/index.php?508

2021-04-25  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (babel.4ht, latex.4ht, lfeenc.4ht, plain.4ht,
	polyglossia.4ht, tuenc-xetex-input.4ht): use \ht:special instead of
	\special.
	* tex4ht-4ht.tex (latex.4ht, plain.4ht): \:nbsp should output
	nonbreaking space inside picture.
	* tex4ht-html4.tex (html4.4ht): test for \Picture inside \a:HChar.
	* tex4ht-unicode.tex (unicode.4ht): use correct definition of \:nbsp.
	* tex4ht-html4.tex (html4.4ht): use \:nbsp in listings configurations.
	* tex4ht-4ht.tex (listings.4ht): fixed configurations in order to
	support \Picture*. (Thanks to Linas Stonys).

2021-04-22  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (listings.4ht): insert closing b:lstlinline
	configuration really after group. (Thanks to Linas Stonys).
	* tex4ht-html4.tex (html4.4ht): add newlines after <br /> tags in
	listings environment.

2021-04-17  Karl Berry  <karl@freefriends.org>

	* Makefile (diff-copyright, inst-check-version): new targets
	for consistency checking.

	* tex4ht-4ht.tex (endnotes, svg.4ht),
	* tex4ht-cond4ht.tex (mktex4ht.4ht),
	* tex4ht-html5.tex (html5.4ht),
	* tex4ht-info.tex (info4ht.4ht),
	* tex4ht-mathml.tex (html-mml.4ht, mathml.4ht),
	* tex4ht-unicode.tex (unicode.4ht): copyright 2021.

2021-04-16  Karl Berry  <karl@freefriends.org>

	* tex4ht-docbook.tex (docbook.4ht),
	* tex4ht-ooffice.tex (ooffice.4ht),
	* tex4ht-mathjax.tex (mathjax-latex-4ht.4ht),
	* tex4ht-html4.tex (html4-math.4ht, html4.4ht),
	* tex4ht-4ht.tex (tikz-hooks.4ht): copyright 2021.

2021-04-16  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (tikz-hooks.4ht): load dvisvgm4ht driver by default.
	* tex4ht-4ht.tex (chessboard.4ht): added support for the
	chessboard package.

2021-04-15  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (caption.4ht): fix for TOC handling.
	https://tex.stackexchange.com/a/593069/2891

2021-04-11  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4-math.4ht): fixed paragraph handling for
	eqnarray.
	https://tug.org/pipermail/tex4ht/2021q2/002949.html

2021-04-07  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathjax.tex (mathjax-latex-4ht.4ht): fixed configurations for
	gather and gather*.
	https://tex.stackexchange.com/a/591806/2891

2021-03-30  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (endnotes.4ht): don't use math mode to print
	superscripts. https://tex.stackexchange.com/q/590565/2891

2021-03-27  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (ooffice.4ht): removed space ignoring
	specials from \footnotemark and \foontotetext, they caused removal
	of all spaces from the document when only \footnotetext is used.
	https://tug.org/pipermail/tex4ht/2021q1/002927.html

2021-03-25  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (parallel.4ht),
	* tex4ht-html4.tex (html4.4ht): added support for the parallel package.

2021-03-06  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-sty.tex (tex4ht.sty): preparing for a new LaTeX release, where
	\everypar will be patched by LaTeX kernel.
	https://puszcza.gnu.org.ua/bugs/?477
	* tex4ht-4ht.tex (caption.4ht): prevent expansion of macros
	written to TOC by the \caption command.
	https://tug.org/pipermail/tex4ht/2021q1/002912.html
	* tex4ht-html4.tex (html4.4ht): use graphics- option value in PDF
	end EPS conversion.
	https://tex.stackexchange.com/a/586096/2891

2021-03-04  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): close paragraph before tabularx
	environment. https://tex.stackexchange.com/a/585797/2891

2021-03-02  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (titlesec.4ht): prevent duplicate entries in TOC.
	https://tex.stackexchange.com/a/585479/2891
	* tex4ht-4ht.tex (biblatex.4ht): don't redefine \nolinkurl.
	https://tex.stackexchange.com/a/585521/2891

2021-02-25  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (biblatex.4ht): check for existence of \TE@hook
	before redefine. https://tex.stackexchange.com/a/584949/2891

2021-02-18  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-noncjk.tex (
	tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/cyrillic/cmcyr/cmcbx.htf
	): fixed wrong character.
	https://tug.org/pipermail/tex4ht/2021q1/002904.html
	* tex4ht-mathjax.tex (mathjax-latex-4ht.4ht): fix \( and \) in
	sectioning commands. https://tex.stackexchange.com/a/583946/2891

2021-02-14  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (subcaption.4ht, caption.4ht),
	* tex4ht-html4.tex (html4.4ht),
	* tex4ht-html5.tex (html5.4ht): added support for the subcaption
	package, fixed support subfloat captions.
	https://tex.stackexchange.com/q/582846/2891

2021-02-10  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (svg.4ht): added support for image dimension
	specification. https://tex.stackexchange.com/a/582861/2891

2021-02-08  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-docbook.tex (docbook.4ht): start new paragraph after
	\maketitle. https://github.com/michal-h21/make4ht/issues/44
	* tex4ht-docbook.tex (docbook.4ht): fixed footnote handling.
	https://github.com/michal-h21/make4ht/issues/45
	* tex4ht-docbook.tex (docbook.4ht): added \textsubscript and
	\textsuperscript support.

2021-02-07  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (exerquiz.4ht, exerquiz-hooks.4ht, usepackage.4ht),
	* tex4ht-html4.tex (html4.4ht): fixed exerquiz package support.

2021-02-06  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (latex.4ht),
	* tex4ht-unicode.tex (unicode.4ht),
	* tex4ht-mathml.tex (mathml.4ht): use \protect in \:nbsp and
	similar commands that use \leavevmode internally.

2021-02-03  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (nameref.4ht): fix for \autoref and the Caption
	package. https://tex.stackexchange.com/a/581856/2891

2021-01-30  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4-math.4ht): removed most of the
	configuration for MathJax, it was not needed and could cause
	problems in some cases. https://github.com/michal-h21/make4ht/issues/42

2021-01-29  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (biblatex.4ht): the previous fix caused other
	issues. We must define \TE@hook depending on the presence of Hyperref.

2021-01-28  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (biblatex.4ht): removed definition of \TE@hook.
	It caused some BibLaTeX code not to be executed and compilation
	failed in some cases.

2021-01-27  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht),
	* tex4ht-html5.tex (html5.4ht): start new paragraph after abstracts.

2021-01-26  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (gloss-french.4ht): fix for \nobreakspace error with
	characters made active in French Polyglossia.
	https://tex.stackexchange.com/a/580505/2891

2021-01-24  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (latex.4ht): added support for environment hooks.
	https://puszcza.gnu.org.ua/bugs/?477
	* tex4ht-4ht.tex (article.4ht, report.4ht): added support for abstract
	titles.
	* tex4ht-html4.tex (html4.4ht),
	* tex4ht-html5.tex (html5.4ht): fixed support for abstracts.
	* tex4ht-4ht.tex (memoir.4ht, abstract.4ht),
	* tex4ht-html4.tex (html4.4ht),
	* tex4ht-html5.tex (html5.4ht): added support for abstracts in Memoir.
	https://tex.stackexchange.com/a/579953/2891
	* tex-html5.tex (html5.4ht): added more sections and chapters to
	make the source more readable.

2021-01-21  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (usepackage.4ht, newcomputermodern-hooks.4ht):
	fix for the newcomputermodern package.

2021-01-12  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): add anchor for \label commands in
	\endnote. https://tex.stackexchange.com/a/578349/2891

2021-01-09  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4-math.4ht): fixed display math
	configuration for Amsmath. It supports the split environment now.
	https://tug.org/pipermail/tex4ht/2021q1/002856.html
	* tex4ht-html4.tex (html4.4ht): removed cellspacing and cellpading
	attributes from most tables. They are deprecated.
	https://tex.stackexchange.com/a/578224/2891

2021-01-07  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (ooffice.4ht): don't use \@namedef, in order
	to support plain.
	* tex4ht-html4.tex (html4.4ht): configure Plain accents for long umlaut
	\H.
	* tex4ht-ooffice.tex (ooffice.4ht): configure accents for Plain TeX.
	* tex4ht-ooffice.tex (ooffice.4ht): define page dimensions for
	Plain TeX.
	* tex4ht-ooffice.tex (ooffice.4ht): added configuration for
	leftline and rightline. Even for Plain TeX.

2021-01-03  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-spectral.tex: added support for the Spectral font.
	https://puszcza.gnu.org.ua/bugs/?497

2021-01-02  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-sty.tex (tex4ht.sty): fixed \AtBeginDocument issues.

2021-01-01  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-sty.tex (tex4ht.sty): emulate \AtBeginDocument in .4ht files. 
	* tex4ht-4ht.tex (hyperref-hooks.4ht, hyperref.4ht, nameref.4ht):
	fix for issues with \AtBeginDocument.
	https://puszcza.gnu.org.ua/bugs/index.php?496

2020-12-25  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-sty.tex (tex4ht.sty): use the new LaTeX hook system to execute
	\Configure{AtBeginDocument}
	* tex4ht-4ht.tex (mathtools.4ht): the code added yesterday is now
	unnecessary.
	https://puszcza.gnu.org.ua/bugs/?495
	https://tex.stackexchange.com/a/576267/2891

2020-12-24  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (mathtools.4ht): load graphicx package.
	https://puszcza.gnu.org.ua/bugs/?495

2020-12-13  Karl Berry  <karl@freefriends.org>

	* tex4ht-html4.tex <configure html4 ltugboat\>: remove spurious <br/>
	from \Configure{signature}, causing blank lines after each
	\makesignature element.
	(.makesignature): reduce left margin to 4em.
	(.signaturemark): hang diamond to left with magic number.
	* tex4ht-4ht.tex (ltugboat.4ht): \InputIfFileExists{tugboat.dates}
	for production TUGboat runs.
	(tugboat.4ht, ltugboat-a.4ht, ltugproc{,-a}.4ht): minimize header.

2020-12-03  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (tcolorbox.4ht),
	tex4ht-html4.tex (html4.4ht): added support for the tcolorbox package.
	https://tex.stackexchange.com/a/573314/2891

2020-11-29  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (ooffice.4ht): simplified configuration of
	\paragraph-like commands. Provided configuration for \paragraph,
	\paragraph*, \subparagraph and \subparagraph*.
	https://puszcza.gnu.org.ua/bugs/?491

2020-11-27  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (ooffice.4ht): don't remove footcite support for
	biblatex-dw.
	https://puszcza.gnu.org.ua/bugs/index.php?492
	* tex4ht-ooffice.tex (ooffice.4ht): fixed paragraph handling for
	csquotes quotation environments.
	https://puszcza.gnu.org.ua/bugs/index.php?490
	* tex4ht-html4.tex (html4.4ht): use <blockquote> element for quotation
	environments.

2020-11-26  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (csquotes.4ht),
	tex4ht-html4.tex (html4.4ht),
	tex4ht-ooffice.tex (ooffice.4ht): support for csquotes quotation
	environments.
	https://puszcza.gnu.org.ua/bugs/?490
	* tex4ht-ooffice.tex (ooffice.4ht): support for \subsubsection and
	\paragraphs in the scrbook class.
	https://puszcza.gnu.org.ua/bugs/?491

2020-11-23  Karl Berry  <karl@freefriends.org>

	* tex4ht-mkht.tex (texinfo): use etex rather than tex.
	(\Echooff, \echoOff, <echo off>): new @echo off string.
	(<windows line>): use it.
	(\make): setup.
	(<unix setup>, <ms setup>): define \Echooff as empty or "@echo off".
	* Makefile (user_bin): new variable to allow per-user addition to PATH.

2020-11-21  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (caption.4ht): fixed spurious separator between
	caption number and text.
	https://tex.stackexchange.com/q/571684/2891

2020-11-20  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (titlesec.4ht): fixed paragraph handling in sectioning
	commands.

2020-11-12  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-noncjk.tex(
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/bera/fvmr8t.htf
	): added support for frmr8t font.

2020-11-09  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4 (html4-math.4ht): fixed paragraph opening after
	\PicDisplay. Also don't use the obsolete <center> element.
	https://tex.stackexchange.com/a/570077/2891

2020-11-08  Karl Berry  <karl@freefriends.org>

	* Makefile (diff_files): also filter-out ht.{unix,bat}.

2020-11-08  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4 (html4.4ht): fixed paragraph opening after Theorem
	environment.
	* tex4ht-html4 (html4.4ht): emulate \subsection handling in Amsart
	class.
	https://tex.stackexchange.com/q/569955/2891

2020-10-30  Karl Berry  <karl@freefriends.org>

	* tex4ht-mkht.tex (unix line): use set -e and exec</dev/null
	for all scripts to stop at first error and avoid interaction, resp.

	* tex4ht-mkht.tex (windows line): start with @echo off, per Akira.

	* Makefile (tex4ht_mkht_derived): add ht.unix ht.bat.

2020-10-25  Karl Berry  <karl@freefriends.org>

	* tex4ht-mkht.tex: more copyright 2020, https for tug.org.
	* Makefile (diff-scripts, install-scripts): new targets.
	(install_data, inst_dir_scripts): new variables.
	(tex4ht_mkht_derived): add ht.unix and ht.bat (lots more).

2020-10-25  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mkht.tex (all .unix and .bat files that use plain TeX):
	use etex in shell scripts for plain TeX.
	* tex4ht-4ht.tex (plain.4ht): declare configurations for spacing
	commands in plain TeX.

2020-10-18  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (minted-sty-hooks.4ht): fixed the breaklines option
	handling.

2020-10-17  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (usepackage.4ht,graphics-hooks.4ht): adapted Graphics,
	* tex4ht-4ht.tex (usepackage.4ht,xcolor-hooks.4ht): adapted Xcolor,
	* tex4ht-4ht.tex (usepackage.4ht,caption-hooks.4ht): adapted Caption,
	* tex4ht-4ht.tex (usepackage.4ht,pdfbase-hooks.4ht): adapted Pdfbase,
	* tex4ht-4ht.tex (usepackage.4ht,tikz-hooks.4ht): adapted Tikz,
	* tex4ht-4ht.tex (usepackage.4ht,fontspec-hooks.4ht,
	polyglossia-hooks.4ht): adapted Fontspec and Polyglossia,
	* tex4ht-4ht.tex (usepackage.4ht,ctex-hooks.4ht): adapted Ctex,
	* tex4ht-4ht.tex (usepackage.4ht,xecjk-hooks.4ht): adapted xeCJK,
	* tex4ht-4ht.tex (usepackage.4ht,savetrees-hooks.4ht): adapted
	savetrees,
	* tex4ht-4ht.tex (usepackage.4ht,expl3-hooks.4ht): adapted expl3,
	* tex4ht-4ht.tex (usepackage.4ht,showframe-hooks.4ht): adapted
	showframe,
	* tex4ht-4ht.tex (usepackage.4ht,esopic-hooks.4ht): adapted eso-pic,
	* tex4ht-4ht.tex (usepackage.4ht,xrhyper-hooks.4ht): adapted xr-hyper,
	* tex4ht-4ht.tex (usepackage.4ht,xr-hooks.4ht): adapted xr,
	* tex4ht-4ht.tex (usepackage.4ht,fancyhdr-hooks.4ht): adapted fancyhdr,
	* tex4ht-4ht.tex (usepackage.4ht,cleveref-hooks.4ht): adapted cleveref,
	* tex4ht-4ht.tex (usepackage.4ht,imakeidx-hooks.4ht): adapted imakeidx,
	for the new hook mechanism.
	* tex4ht-4ht.tex: added tutorial on how to write early package patching
	the new package hook mechanism. 

2020-10-16  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-cond4ht.tex (cond4ht.4ht, docbook.4ht, html0.4ht,
	html32.4ht, html4.4ht, mktex4ht.4ht, ooffice.4ht, ooimpress.4ht,
	tei.4ht): strip leading quotes from files that we try to find
	.4ht files for. https://puszcza.gnu.org.ua/bugs/?486#postcomment
	* tex4ht-4ht.tex (catchfile-sty-hooks.4ht): removed unnecessary file.
	* tex4ht-sty.tex (tex4ht.sty): changed the early package hook
	mechanism to speed up things.
	https://puszcza.gnu.org.ua/bugs/?486#postcomment
	* tex4ht-4ht.tex (usepackage.4ht): adapded Minted for the new
	package hook mechanism.

2020-10-08  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-sty.tex (tex4ht.sty): new mechanism for early package
	redefinitions.
	* tex4ht-4ht.tex (usepackage.4ht, 
	minted-sty-hooks.4ht, 
	catchfile-sty-hooks.4ht): added early package redefinitions for Minted
	and Catchfile packages.
	https://puszcza.gnu.org.ua/bugs/?486

2020-10-05  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (biblatex.4ht): fix for ithenelse patching error.
	* tex4ht-4ht.tex (usepackage.4ht): fix for Polyglossia fatal error.

2020-10-03  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (fancyvrb.4ht): fixed spurious blank lines that were
	sometimes produced.
	* tex4ht-4ht.tex (latex.4ht): fixed \,, \;, \: and other similar
	commands. Their definition had been added to LaTeX kernel and
	their behaviour changed, resulting in possible fatal error.
	https://tug.org/pipermail/tex4ht/2020q4/002735.html

2020-09-28  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): use <pre> element for fancy verbatim.
	https://tex.stackexchange.com/q/564532/2891
	* tex4ht-4ht.tex (minted.4ht),
	* tex4ht-html4.tex (html4.4ht): added support for colored Minted
	listings. https://tex.stackexchange.com/a/564579/2891

2020-09-22  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht (latex.4ht, subscript.4ht): patch \@textsuperscript and
	\@textsubscript unconditionally.
	https://puszcza.gnu.org.ua/bugs/index.php?477

2020-09-21  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (usepackage.4ht): use \providecommand instead of
	\newcommand in order to prevent errors when eso-pic package is required
	multiple times.

2020-09-18  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-unicode.tex (unicode.4ht): don't use combining characters for
	MathML accents.
	https://puszcza.gnu.org.ua/bugs/?483

2020-09-13  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathjax.tex (mathjax-latex-4ht.4ht): removed space
	handling regular expressions, they seem to be unnecessary with
	current MathJax.

2020-09-08  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathml.tex (mathml.4ht): removed some weird code from
	configuration for \text.. commands. It produced invalid MathML.

2020-09-02  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex(usepackage.4ht, usepackage-fontspec.4ht):
	fix for the development version of LaTeX.
	https://puszcza.gnu.org.ua/bugs/?477
	* tex4ht-html4.tex (html4.4ht): fixed line breaks in verbatim.
	https://tex.stackexchange.com/a/561167/2891

2020-09-01  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-ebgaramond.tex,
	* tex4ht-fonts-fourier.tex,
	* tex4ht-fonts-libertine.tex,
	* tex4ht-fonts-newtx.tex: updated compilation instructions.
	
2020-08-31  Karl Berry  <karl@freefriends.org>

	* tex4ht-fonts-noncjk.tex (bchb8t): remove spurious Unicode in
	htfcss line.

	* tex4ht-fonts-ebgaramond.tex,
	* tex4ht-fonts-fourier.tex,
	* tex4ht-fonts-libertine.tex,
	* tex4ht-fonts-newtx.tex: license, copyright year.

2020-08-31  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-fourier.tex,
	* Makefile: generate files for Fourier fonts.
	https://github.com/michal-h21/make4ht/issues/35

2020-08-27  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathml.tex (mathml.4ht): use some code from mathml- option by
	default.
	https://github.com/michal-h21/make4ht/issues/34
	https://puszcza.gnu.org.ua/bugs/?278

2020-08-19  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathml.tex (mathml.4ht): fixed fence rendering in MathML.
	https://puszcza.gnu.org.ua/bugs/?481

2020-07-30  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathjax.tex (mathjax-latex-4ht.4ht): remove spurious colon.
	https://tex.stackexchange.com/a/555755/2891
	https://puszcza.gnu.org.ua/bugs/?479

2020-07-28  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-sty.tex (tex4ht.sty),
	* tex4ht-4ht.tex (latex.4ht),
	* Makefile: use new LaTeX hook system for patching \begin{document}
	when possible.
	https://puszcza.gnu.org.ua/bugs/?477#postcomment
	
2020-07-27  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-sty.tex (tex4ht.sty): don't patch \shipout command.
	https://listserv.uni-heidelberg.de/cgi-bin/wa?A2=LATEX-L;d8558dd0.2007&S=

2020-07-26  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathjax.tex (mathjax-latex-4ht.4ht),
	* tex4ht-html4.tex (html4-math.4ht): added MathJaxConfig configuration.
	https://github.com/michal-h21/make4ht/issues/33

2020-07-26  Karl Berry  <karl@freefriends.org>

	* Makefile (diff-htfonts): rename from diff-ht-fonts, and also
	generate /tmp/htnew for new files. Other small name changes.

2020-07-25  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-newtx.tex,
	* Makefile: generate files for Newtx fonts
	https://puszcza.gnu.org.ua/bugs/index.php?236#postcomment

2020-07-18  Karl Berry  <karl@freefriends.org>

	* Makefile (update):  missing ) on "$(dest_src/", causing 
	"unterminated variable reference".
	(destdir): change to update.dir from .., to make it clearer
	this is a test target not in regular use.

2020-07-17 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): \rowcolor should have precedence over
	\columncolor in colortbl support.
	https://puszcza.gnu.org.ua/bugs/?163
	* tex4ht-html4.tex (html4.4ht): fixed Koma Script \paragraph.
	https://puszcza.gnu.org.ua/bugs/?176
	* tex4ht-html4.tex (html4.4ht): allow linebreak in long URLs.
	https://puszcza.gnu.org.ua/bugs/index.php?301

2020-07-16 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (usepackage.4ht): fixed eso-pic support.
	https://puszcza.gnu.org.ua/bugs/?231
	* tex4ht-4ht.tex (article.4ht,book.4ht,report.4ht,
	scrbook.4ht,scrreprt.4ht): fixed tocdepth handling.
	https://puszcza.gnu.org.ua/bugs/?228

2020-07-13 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (usepackage.4ht, ctex.4ht): added support for the
	ctex package.
	https://github.com/michal-h21/make4ht/issues/29

2020-07-10 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-tei.tex (tei.4ht): declare encoding in <?xml ...>
	* tex4ht-fonts-modern.tex (
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/lm/rm-lm.htf
	): added declaration for rm-lmcsc.
	* tex4ht-fonts-noncjk.tex (
	DejaVuSansCondensed-Bold-tlf-t1.htf
	DejaVuSansCondensed-BoldOblique-tlf-t1.htf
	DejaVuSansCondensed-Oblique-tlf-t1.htf
	DejaVuSansCondensed-tlf-t1.htf
	): these fonts are not small caps (thanks to Linas Stonys).


2020-07-09 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-tei.tex (tei.4ht): defined \ifHCond conditional.
	* tex4ht-tei.tex (tei.4ht): defined basic HTF font support.

2020-07-07 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-noncjk.tex (
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/bitstrea/charter/bchr8r 
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/bitstrea/charter/bchb8t
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/bitstrea/charter/bchri8t
	): fixed htfcss declarations (thanks to Linas Stonys)

2020-07-02 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathml.tex (mathml.4ht): don't use deprecated <mfence>
	element for \left and \right.

2020-07-01 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): fixed spacing after \LaTeX and \TeX.
	https://puszcza.gnu.org.ua/bugs/?162

2020-06-30 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): don't override HTML charset when it is
	already set.
	https://puszcza.gnu.org.ua/bugs/index.php?432
	* tex4ht-html4.tex (html4.4ht): use monospaced font for fancyvrb
	and alltt environments.
	https://puszcza.gnu.org.ua/bugs/?211

2020-06-29  Ulrich M\"uller  <karl@freefriends.org>

	* tex4ht-htcmd.c (err_i, err_arg): use ("%s", warn_err_mssg[n])
	 for the sake of -Werror=format-security.
	 http://puszcza.gnu.org.ua/bugs/?472

2020-06-23 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-docbook.tex (docbook.4ht): don't print filename in BibLaTeX
	bibliography.
	https://github.com/michal-h21/make4ht/issues/28

2020-06-21 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-docbook.tex (docbook.4ht): support for BibLaTeX bibliography.
	https://github.com/michal-h21/make4ht/issues/28

2020-06-19 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (memoir.4ht): disable warning and error messages about
	obsolete font commands.
	https://github.com/michal-h21/make4ht/issues/27

2020-06-18 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-docbook.tex (docbook.4ht): fixed output from \maketitle
	command in accordance with the current Docbook documentation.
	https://github.com/michal-h21/make4ht/issues/27

2020-06-16 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (longtable.4ht): fixed LOT for longtable + fixed
	missing colon in caption.
	https://puszcza.gnu.org.ua/bugs/?313

2020-06-15  Vincent Bela\"iche  <vincent.belaiche@gmail.com>

	* Makefile (do_java): Add comment about do_java=0|1 needing
	tex4ht-dir.tex refresh.
	(xtpipe_jar): Replace java_or_not by xtpipes_jar, as the only
	purpose is to control making of xtpipes.jar, and transpose the
	dependency between in-tex and in-make, i.e., xtpipes.jar is needed
	only when java is compiled in tex.
	Replace all the "ifeq ($(java_in_make),true)" by "ifneq
	($(do_java),2)".
	(xtpipes_derived): Add $(xtpipes_jar).
	($(tex4ht_jsml_xtpipes_derived)): Replace $(call
	java_or_not,$(wd)/bin/xtpipes.jar) by $(xtpipes_jar) in the
	dependency list, so there is a dependency only when compiling java
	in tex.
	(jar): Suppress producing xtpipes.jar, this is needed only for
	compiling in tex.

2020-06-13  Vincent Bela\"iche  <vincent.belaiche@gmail.com>

	* xtpipes.tex,
	* tex4ht-xhtmml-xtpipes.tex,
	* tex4ht-xhtml-xtpipes.tex,
	* tex4ht-oo-xtpipes.tex,
	* tex4ht-jsml-xtpipes.tex,
	* tex4ht-javahelp-xtpipes.tex,
	* tex4ht-html-speech-xtpipes.tex,
	* tex4ht-docbook-xtpipes.tex: Make all java system calls
	conditional on "\ifdojava" switch.
	* tex4ht-dir.m4: Add a "\ifdojava" switch.
	* Makefile: Refactor the "do_java" option so that, and propagate
	the option to "tex4ht-dir.tex" via "tex4ht-dir.m4".

2020-06-11  Karl Berry  <karl@freefriends.org>

	* Makefile (all): run checklog.lua here, instead of in
	individual rules.
	* texlog.lua: fiddle with formatting.

2020-06-10 Michal Hoftich  <michal.h21@gmail.com>

	* checklog.lua: pass checked log file name to the log parser function.

2020-06-07  Karl Berry  <karl@freefriends.org>

	* Makefile (tex4ht_fonts_modern_derived): evidently lm-htf.tex
	is created from tex4ht-fonts-modern.tex, not noncjk. It looks to
	be a test file with no particul use, but ok, whatever. svn:ignore it.
	(diff-ht-fonts): failed to uncomment the full diff rerun.
	(diff_files): $(filter-out) various files in $(derived) that are
	not installed under $(inst_dir_4ht).
	(tex4ht_fonts_cjk_derived, tex4ht_fonts_cjk_utf8_derived): define
	as the first .htf file created, instead of the .html, since the
	.html is not installed.

2020-06-07 Michal Hoftich  <michal.h21@gmail.com>

	* checklog.lua: script for detection of errors in the log files.
	* tex4ht-4ht.tex (amsart.4ht, amsproc.4ht): fixed horizontal mode
	error when \dedication is used.
	https://puszcza.gnu.org.ua/bugs/?469

2020-06-06  Vincent Bela\"iche  <vincent.belaiche@gmail.com>

	* xtpipes.tex (End document system call): Remove
	-Xlint:deprecation from javac call.
	(<xtpipes imports>): Add xtpipes.XtpipesPrintWriter import.
	(<process script map>, <<set start element>, <save status of xmlns
	above element>): Replace deprecated Integer/Boolean allocation with
	new by call to static member function valueOf.

2020-06-06  Karl Berry  <karl@freefriends.org>

	* Makefile: use htlatex instead of xhlatex throughout.
	https://tug.org/pipermail/tex4ht/2020q2/002579.html

	(diff-ht-fonts): more tweaks on the road to making the output more
	easily usable.

	(SearchFonts.java): disable dependency.
	* tex4ht-fonts-noncjk.tex: document Michal's idea about about it.
	https://tug.org/pipermail/tex4ht/2020q2/002578.html

2020-06-05  Karl Berry  <karl@freefriends.org>

	* tex4ht-javahelp-xtpipes.tex: \input{tex4ht-dir}.

2020-06-05  Vincent Bela\"iche  <vincent.belaiche@gmail.com>

	* tex4ht-javahelp-xtpipes.tex,
	* tex4ht-html-speech-xtpipes.tex: Remove reference to \XTPIPES lib

2020-06-05  Karl Berry  <karl@freefriends.org>

	* Makefile (do_java): conditional to enable Java derivations
	and compilations.
	* Makefile.exp: move "experimental section" to here from Makefile.

2020-06-05  Vincent Bela\"iche  <vincent.belaiche@gmail.com>

	* tex4ht-docbook-xtpipes.tex,
	* tex4ht-javahelp-xtpipes.tex,
	* tex4ht-jsml-xtpipes.tex,
	* tex4ht-oo-xtpipes.tex,
	* tex4ht-xhtml-xtpipes.tex,
	* tex4ht-xhtmml-xtpipes.tex: Replace absolute paths by macros
	from tex4ht-dir.tex.

	* tex4ht-html-speech-xtpipes.tex: Likewise replace absolute paths,
	and ensure directory \TEXMFTEXivBIN exists.

	* xtpipes.tex: Likewise replace absolute paths, and
	change system calls so that javac input files are streamed from find.

2020-06-04 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-modern.tex: removed lot of duplicated .htf entries.
	* tex4ht-fonts-modern.tex (txbtt8v, txbttsc8v, txbttsl8v, txtt8v,
	txttsc8v, txttsl8v): new HTF files.
	* tex4ht-fonts-noncjk.tex: renamed pxbsyc.htf to txbsyc.htf.

2020-06-04  Karl Berry  <karl@freefriends.org>

	* tex4ht-fonts-modern.tex (lm-qxtt-LM-05): remove duplicate \AddFont.
	(lm-qxtt-LM-05): move to after definition.
	* tex4ht-fonts-noncjk.tex (txtt): \AddFont this instead of txb twice.
	(zppleb7m): remove duplicate definition.
	(pcrb): remove \AddFont in phvb section (correct the name, too).
	(txbsyc): delete second spurious (alias) entry.
	(ma1r8c, ma1r8t, ma1b8t): remove definitions since they were never
	installed because their directory,
        tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/monotype,
        was not created (and the fonts are not free anyway).

	* Makefile (SearchFonts.java, etc.): disable dependencies so as
	not to uselessly remake everything when files are not in the right
		place.

2020-06-04  Vincent Bela\"iche  <vincent.belaiche@gmail.com>

	* xtpipes.tex (\AddFileC): Remove appending slash to directory
	argument, as it ends prematurely the \MakeDir loop by having an
	unwanted // pattern in the path.

2020-06-03 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4-math.4ht): handle nested math in amsmath
	version of \[\].
	https://tug.org/pipermail/tex4ht/2020q2/002561.html

2020-06-02 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (latex.4ht): fixed bug in tabbing environment.
	https://tug.org/pipermail/tex4ht/2020q2/002565.html

2020-05-31  Vincent_Bela\"iche  <vincent.belaiche@gmail.com>

	* tex4ht-dir.m4: new file, used to generate with m4:
	* tex4ht-dir.tex: generate, with java-related directories too.
	* Makefile (tex4ht-dir.tex): do the generation.
	(dirs): new variable, list of dirs to substitute.
	(common_no_cond_sty): add tex4ht-dir.tex.
	(tex4ht_docbook_xtpipes_derived, many others): use new directory vars
	for .java file locations, etc.
	(xtpipes.jar, tex4ht.jar, jar): new targets.

2020-05-31 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4-math.4ht): added default definition for
	\:RestoreMathjaxCatcodes.
	* tex4ht-mathjax.tex (mathjax-latex-4ht.4ht): fix \sum in TOC.
	https://puszcza.gnu.org.ua/bugs/index.php?468

2020-05-27 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-noncjk.tex,
	* tex4ht-fonts-modern.tex,
	* tex4ht-fonts-4hf.tex (
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/lm/lm-qx/lm-qx.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/iwona/greek-iwona.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/libertine/fxlr-xl-03.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/libertine/fxlr-xl-ts1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/lm/lm-qxtt.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/lm/lm-ts1.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/pxfonts/rpcxr.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/tibetan/ctib.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/tipa/xipx.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/txfonts/rtcxr.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/txfonts/rtcxss.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/txfonts/tcxb.htf
	): fixed wrong XML entites. 
	* tex4ht-4ht.tex (awesomebox.4ht),
	* tex4ht-html4.tex (html4.4ht): basic support for the awesomebox
	package.
	https://tex.stackexchange.com/a/546570/2891

2020-05-25 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (usepackage.4ht): load Unicode definitions when script
	option for language selection is used in Polyglossia.
	https://github.com/reutenauer/polyglossia/issues/419

2020-05-22 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (usepackage.4ht, caption.4ht): fixes for the
	Caption package.
	https://tex.stackexchange.com/q/545582/2891
	* tex4ht-html4.tex (html4.4ht): use <pre> element for the verbatim
	environment.
	* tex4ht-4ht.tex (amsart.4ht, amsbook.4ht, amsproc.4ht): fixed spurious
	footnotes for \thanks command.

2020-05-20 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (ooffice.4ht): added support for MW classess
	in the ooffice output.

2020-05-18 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (imakeidx.4ht): added support for the intoc option.
	https://tex.stackexchange.com/a/543759/2891

2020-05-05 Michal Hoftich  <michal.h21@gmail.com>

	* README: fixed location of xmllint and vcss commands.
	https://puszcza.gnu.org.ua/bugs/?459

2020-04-23 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (usepackage.4ht): fix for interaction between
	Cleveref and Hyperref.
	https://tex.stackexchange.com/a/540277/2891

2020-04-19 Michal Hoftich  <michal.h21@gmail.com>
	* tex4ht-mathjax.tex (mathjax-latex-4ht.4ht): fixed support for `\ {`
	https://tex.stackexchange.com/a/539677/2891
	https://puszcza.gnu.org.ua/bugs/index.php?457

2020-04-19 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathjax.tex (mathjax-latex-4ht.4ht): added support for \ln in
	section titles.
	https://puszcza.gnu.org.ua/bugs/?456

2020-04-15 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-sty.tex (tex4ht.sty): make \append:def and simillar commands
	available in usepackage.4ht
	* tex4ht-4ht.tex (usepackage.4ht): fixed TikZ externalization patching.
	https://puszcza.gnu.org.ua/bugs/?451

2020-04-13 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex(html4.4ht): removed CSS code that set left
	margin for images in margins to 10%
	* tex4ht-html5.tex (html5.4ht): fixed centering of images in floats and
	figures.
	https://tex.stackexchange.com/a/538431/2891

2020-04-04 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathjax.tex (mathjax-latex-4ht.4ht): added
	\fixtmathjaxsec command, prevented \left and \right from expansion.
	https://puszcza.gnu.org.ua/bugs/?453

2020-03-16  Karl Berry  <karl@freefriends.org>

	* tex4ht-docbook.tex,
	* tex4ht-fonts-cjk-utf8.tex,
	* tex4ht-fonts-cjk.tex,
	* tex4ht-fonts-noncjk.tex,
	* tex4ht-html4.tex (html4.4ht),
	* tex4ht-html5.tex,
	* tex4ht-javahelp.tex (javahelp.4ht),
	* tex4ht-mkht.tex (mkht.4ht): use https://tug.org instead of http.
	Only listed .4ht files updated in TeX Live, others will
	have to come in time.

2020-03-14 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (multicol.4ht): fixed paragraph handling.

2020-03-12 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (usepackage.4ht): block package showframe.
	https://tug.org/pipermail/tex4ht/2020q1/002464.html
	
2020-03-09 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-jats.tex (jats.4ht),
	tex4ht-options.tex (tex4ht.4ht): still work in progress on JATS.

2020-03-04 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4-math.4ht),
	tex4ht-mathml.tex (html-mml.4ht): use MathJax 3
	https://tug.org/pipermail/tex4ht/2020q1/002455.html

2020-03-03 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-jats.tex (jats.4ht),
	tex4ht-options.tex (tex4ht.4ht): started to work on basic JATS support.

2020-03-02 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (usepackage.4ht): fixed patching of the
	\usetikzpackage command.
	https://puszcza.gnu.org.ua/bugs/?451#postcomment

2020-02-28 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathml.tex (mathml.4ht),
	tex4ht-html4.tex (html4.4ht): do not use breakable space for the "\ "
	command. It broke verbatim.
	https://puszcza.gnu.org.ua/bugs/?449

2020-02-26 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (latex.4ht, plain.4ht),
	tex4ht-mathml.tex (mathml.4ht),
	tex4ht-html4.tex (html4.4ht): use breakable space for the "\ " command.
	https://puszcza.gnu.org.ua/bugs/?449

2020-02-24 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-oo-xtpipes.tex (oo-text.4xt): don't process <t4htlink>
	elements using Xtpipes; it is handled better by make4ht.

2020-02-17 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-sty.tex (tex4ht.sty),
	tex4ht-4ht.tex (usepackage-fontspec.4ht, usepackage.4ht): fixed
	support for command patching in the document preamble. New
	command provided: \:AtEndOfPackage.
	https://puszcza.gnu.org.ua/bugs/?448

2020-02-14 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): removed ignored letters from
	\Configure{HAccent}.
	https://puszcza.gnu.org.ua/bugs/?446

2020-02-13 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (listings.4ht): added support for the
	\lstlistoflistings command.
	https://tex.stackexchange.com/a/528310/2891

2020-02-09 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (usepackage-fontspec.4ht): don't block the
	Fontenc package from loading, it caused another fatal issue with
	Fonspec.

2020-01-24 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): do not use 1.5 as default line height.
	* tex4ht-4ht.tex (usepackage-fontspec.4ht): fixed more fatal
	issues with Fontspec.

2020-01-23 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (usepackage-fontspec.4ht): fix fatal error
	with updated fontspec package.

2020-01-22 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): use plain text for \TeX and
	\LaTeX commands by default. Versions that try to emulate their
	visual appearance in PDF can be requested using the "fancylogo"
	option.

	* tex4ht-html4.tex (html4.4ht): use 1.5 as default line height.

	* tex4ht-fonts-cjk.tex (
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai62.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai77.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai66.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai68.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai08.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai29.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai64.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai87.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai88.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai48.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai43.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai34.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai04.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai10.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai32.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai37.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai55.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai11.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai47.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai27.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai61.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai09.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai83.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai82.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai31.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai19.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai54.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai76.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai94.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai06.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai12.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai84.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai28.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai80.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai40.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai58.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai60.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai75.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai49.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai24.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai79.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai50.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai86.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai53.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai44.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai07.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai41.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai20.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai71.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai13.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai03.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai67.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai65.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai05.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai93.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai21.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai74.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai17.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai15.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai38.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai70.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai42.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai14.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai85.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai18.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai25.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai91.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai72.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai23.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai33.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai46.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai22.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai36.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai02.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai51.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai52.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai16.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai35.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai01.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai30.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai92.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai57.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai63.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai39.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai81.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai45.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai73.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai89.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai69.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai56.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai90.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai78.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai26.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkkai/gbkkai59.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao69.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao55.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao54.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao42.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao68.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao17.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao25.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao61.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao06.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao62.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao91.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao92.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao26.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao36.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao49.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao56.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao20.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao87.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao39.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao80.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao63.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao23.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao77.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao84.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao78.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao19.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao18.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao51.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao76.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao71.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao16.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao59.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao94.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao40.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao47.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao09.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao70.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao24.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao37.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao08.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao35.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao75.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao02.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao83.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao74.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao50.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao89.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao64.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao28.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao79.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao88.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao01.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao66.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao38.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao90.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao52.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao57.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao34.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao41.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao27.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao32.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao73.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao04.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao43.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao12.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao53.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao13.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao46.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao65.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao58.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao60.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao45.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao22.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao86.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao03.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao48.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao07.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao82.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao11.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao67.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao85.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao33.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao44.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao30.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao72.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao10.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao05.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao15.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao93.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao21.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao14.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao81.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao31.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkyao/gbkyao29.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh20.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh55.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh29.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh54.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh82.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh26.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh24.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh03.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh53.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh68.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh10.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh02.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh75.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh92.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh73.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh38.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh63.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh49.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh84.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh56.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh04.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh60.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh34.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh15.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh65.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh59.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh07.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh32.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh52.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh85.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh70.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh40.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh39.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh19.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh61.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh22.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh06.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh74.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh13.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh86.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh48.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh12.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh71.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh16.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh90.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh37.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh87.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh05.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh78.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh81.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh25.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh41.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh69.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh94.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh33.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh30.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh51.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh77.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh47.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh58.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh93.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh18.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh09.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh76.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh80.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh57.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh01.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh89.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh66.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh21.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh42.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh27.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh44.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh88.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh46.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh67.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh62.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh23.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh79.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh72.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh14.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh11.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh28.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh50.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh35.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh31.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh91.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh43.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh36.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh83.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh08.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh64.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh17.htf
	./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/gbk/gbkxh/gbkxh45.htf
	): fixed more monospaced htf fonts.

	* tex4ht-fonts-noncjk.tex (
./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/t1fonts/DroidSansMono-t1.htf
./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/t1fonts/PTMono-BoldSlanted-tlf-t1.htf
./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/t1fonts/DejaVuSansMono-tlf-t1.htf
./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/t1fonts/DejaVuSansMono-Oblique-tlf-t1.htf
./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/t1fonts/DejaVuSansMono-Bold-tlf-t1.htf
./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/t1fonts/PTMono-Slanted-tlf-t1.htf
./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/t1fonts/DroidSansMono-SmallCaps-t1.htf
./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/t1fonts/DejaVuSansMono-BoldOblique-tlf-t1.htf
./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/t1fonts/PTMono-Regular-tlf-t1.htf
./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/t1fonts/DroidSansMono-Slanted-t1.htf
./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/t1fonts/PTMono-Bold-tlf-t1.htf
./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/t1fonts/DroidSansMono-Slanted-SmallCaps-t1.htf
./tex4ht.dir/texmf/tex4ht/ht-fonts/alias/bera/fvmr8r.htf
	): even more fixes for monospaced htf fonts.

2019-12-30 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (extarticle.4ht, extbook.4ht, extletter.4ht):
	disable huge font size in the document. It led to huge text
	resulting from HTF fonts.
	https://tex.stackexchange.com/q/522173/2891

	* tex4ht-mathml.tex (mathml.4ht): redefined \int command to
	produce the <mo> element.
	https://tex.stackexchange.com/q/522173/2891

2019-12-29 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (amsmath.4ht),
	tex4ht-mathml.tex (mathml.4ht): added support for the
	\boldsymbol command.
	https://tex.stackexchange.com/q/522173/2891

	* tex4ht-mathml.tex (mathml.4ht): removed mathsize="big"
	attribute, it is deprecated.

2019-12-28 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-unicode.tex (unicode.4ht),
	tex4ht-mathml.tex (mathml.4ht): fixed math accents.
	https://puszcza.gnu.org.ua/bugs/?444

2019-12-23 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (footmisc.4ht): fixed support for the symbolic
	footnote marks.
	https://tex.stackexchange.com/a/521497/2891

2019-12-20 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (biblatex.4ht): updated for the latest BibLaTeX
	version.
	http://puszcza.gnu.org.ua/bugs/?447

2019-12-19 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (usepackage.4ht): prevent the Caption package
	from patching other packages. This can clash with TeX4ht
	configurations.
	https://tex.stackexchange.com/a/520996/2891

	* tex4ht-4ht.tex (
	aa.4ht,
	acm_proc_article-sp.4ht,
	amsart.4ht,
	amsbook.4ht,
	amsproc.4ht,
	article.4ht,
	book.4ht,
	elsart.4ht,
	listings.4ht,
	longtable.4ht,
	mwart.4ht,
	mwbk.4ht,
	mwrep.4ht,
	report.4ht,
	revtex4.4ht,
	scrbook.4ht,
	scrreprt.4ht
	): Don't print caption label separator when the labels is empty.

2019-12-17 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): fixed CSS code for \cmidrule
	from Booktabs package.

2019-12-16 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): added margins to <div> and <pre>
	elements.
	* tex4ht-mathml.tex (mathml.4ht): add space after \tag* command.
	* tex4ht-4ht.tex (amsmath.4ht): fixed support for the \tag* command.

2019-12-15 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4-math.4ht),
	tex4ht-mathml.tex (mathml.4ht): configure Amsmath \[ ... \] to
	\begin{equation*} ... \end{equation*}
	https://tex.stackexchange.com/q/520375/2891
	* tex4ht-html4.tex (html4.4ht): use only spaces as separator between
	paragraphs. Use the "p-indent" option to use text indents.

2019-12-13 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): added p-indent and p-space
	options. First one disables blank spaces between paragraphs, the
	second keeps blank spaces and disables indents.

	* tex4ht-html4.tex (html4.4ht): fixed font size problem with monospaced
	fonts.
	http://code.iamkate.com/html-and-css/fixing-browsers-broken-monospace-font-handling/
	* tex4ht-fonts-modern.tex,
	tex4ht-fonts-noncjk.tex (
	ma1r8t.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/pl/pltcsc.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/tipa/tipa.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/adobe/palatino/pplrc9t.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/cm/cmtcsc.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/lm/el-lm.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/lm/l7x-lm.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/lm/pre2005/qx-lmtt.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/lm/pre2005/cork-.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/lm/el-lmcs.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/lm/cs-lm.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/lm/l7x-lmcsc.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/txfonts/txsc.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/txfonts/tcxb.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/iso8859/1/sw/curr.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/iso8859/5/cyrillic/kmitt.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/cyrillic/kmvtti.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/cyrillic/cmcyr/cmcitt.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/cyrillic/cmcyr/cmcsltt.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/cyrillic/cmcyr/cmctt.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/cyrillic/kmtt.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/cyrillic/kmvtt.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/cyrillic/kmsltt.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/cs/cstt.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/vntex/cmbrightvn/vncm.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/vntex/vnr/vn.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/vntex/urwvn/ucrbo8v.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/vntex/urwvn/ucrrc8v.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/vntex/urwvn/ucrb8v.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/vntex/urwvn/ucrbc8v.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/vntex/urwvn/ucrro8v.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/vntex/urwvn/ucrr8v.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/vntex/mscorevn/mcrb8v.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/vntex/mscorevn/mcrbc8v.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/vntex/mscorevn/mcrri8v.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/vntex/mscorevn/mcrr8v.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/vntex/mscorevn/mcrbi8v.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/vntex/mscorevn/mcrrc8v.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/vntex/chartervn/txtt.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/pl/pltt.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/pl/plsltt.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/pl/plitt.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/pl/plvtt.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/jknappen/tc/tctt.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/jknappen/tc/tcrb.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/lh/lh-t2a/lctt.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/lh/lh-t2a/latt.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/lh/lh-t2a/lbcc.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/lh/lh-t2a/ldcc.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/lh/lh-t2a/ldtt.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/lh/lh-t2a/lbtt.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/lh/lh-t2a/ldss.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/lh/lh-t2a/lcss.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/lh/lh-t2a/lbss.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/lh/lh-t2a/lait.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/lh/lh-t2a/lass.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/lh/lh-t2a/latc.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/lh/lh-t2a/lccc.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/tipa/tipx.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/qfonts/qcrbi.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/qfonts/qcrri.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/qfonts/qcrb.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/ae/aetcsc.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/ae/ae.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/adobe/courier/rpcrr.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/adobe/courier/rpcrb.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/adobe/courier/pcrr.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/adobe/courier/pcrb.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/adobe/courier/rpcrbo.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/adobe/courier/pcrb8u.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/adobe/courier/pcrbo.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/adobe/courier/pcrr8u.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/adobe/courier/rpcrro.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/adobe/courier/pcrrc.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/adobe/courier/pcrbo8u.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/adobe/courier/pcrbc.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/adobe/courier/pcrro.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/adobe/pslatex/pcrr8rn.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/adobe/pslatex/pcrr8tn.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/cm/cmtt.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/cm/cmitt.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/cm/cmsltt.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/cm/cmvtt.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/lm/cs-lmcs.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/lm/rm-lmt.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/lm/ts1-.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/lm/pre2005/qx-lmtcs.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/lm/pre2005/texnansi-lmtcs.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/lm/pre2005/texnansi-lm.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/lm/pre2005/cork-lmtcs.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/lm/t5-lm.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/lm/lm-qx/qx-lm.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/lm/lm-rep-cstt/cssltt.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/lm/lm-rep-cstt/csvtt.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/lm/lm-rep-cstt/cstcsc.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/lm/lm-rep-cstt/csitt.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/lm/rm-lmvt.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/lm/lm-rep-t5psn/vntcsc.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/lm/t5-lmtcs.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/lm/lm-ec/ec-lm.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/times/ptmr7t.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/ec/dc.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/ec/ec.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/txfonts/tcxtt.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/txfonts/txttsc.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/txfonts/txbttsc.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/txfonts/t1xttsc.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/txfonts/tcxttsl.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/txfonts/txbtt.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/txfonts/tyx.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/txfonts/t1x.htf
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/txfonts/t1xbttsc.htf
	): fixed monospace handling in htf files.

	* tex4ht-4ht.tex (usepackage.4ht): patched Polyglossia's
	direction handling.

2019-12-12 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (usepackage.4ht): the test for Polyglossia package was
	missing.

2019-11-23 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathml.tex (mathml.4ht): changed way how functions are
	encoded in MathmML.
	https://puszcza.gnu.org.ua/bugs/?444
	* tex4ht-mathml.tex (mathml.4ht): use <mstyle> element for math text
	commands again.
	http://puszcza.gnu.org.ua/bugs/?226

2019-11-22 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (colortbl.4ht): fixed support for colors in \rowcolor
	command.

2019-11-21 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html5.tex (html5.4ht): fixed language detection when no main
	language is specified.
	* tex4ht-4ht.tex (colortbl.4ht): added support for the
	\cellcolor command.
	https://tex.stackexchange.com/a/517434/2891

2019-11-13 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (fancyvrb.4ht): fixed spacing issues.

2019-11-07  Karl Berry  <karl@freefriends.org>

	* tex4ht-cond4ht.tex (cond4ht.4ht, mktex4ht.4ht): copyright years.

2019-11-07 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (mdframed.4ht): fixed support for frame titles.
	Disabled native frame drawing.
	* tex4ht-4ht.tex (minted.4ht),
	tex4ht-html4.tex (html4.4ht): fixed support for inline syntax
	highlighting with the Minted package.
	* tex4ht-4ht.tex (pythontex.4ht),
	tex4ht-html4.tex (html4.4ht): fixed support for inline syntax
	highlighting with the Pythontex package.

2019-11-06 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): fixed test for existence of the
	\mdfl@linewidth command in the configuration for mdframed.

2019-10-31 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (usepackage.4ht): fix for the xr-hyper package.
	https://tex.stackexchange.com/a/514398/2891

2019-10-24 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (appendix.4ht), 
	tex4ht-html4.tex (html4.4ht): fixed the appendix package.

2019-10-16 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): fix for basic text formatting
	commands at the beginning of the paragraph when fontspec is used.
	http://puszcza.gnu.org.ua/bugs/?441
	* tex4ht-html4.tex (html4.4ht): changed style for horizontal lines in
	tables.

2019-10-13 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (graphics.4ht): fix for serious error that
	showed after a recent LaTeX core update -- all pictures were
	included as EPS images.

2019-10-08 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (usepackage.4ht): fix for Fancyhdr fancy style.

2019-09-29 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-cond4ht.tex (cond4ht.4ht, docbook.4ht, html0.4ht, html32.4ht,
          html4.4ht, mktex4ht.4ht, ooffice.4ht, ooimpress.4ht, tei.4ht):
	Use \InputIfFileExists to include the package .4ht files. This
	should support the \input@path.
	https://tex.stackexchange.com/q/510155/2891

2019-09-23  Karl Berry  <karl@freefriends.org>

	* tex4ht-html4.tex: copyright 2019.

2019-09-22 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4-math.4ht): fix for tables inside math in the
	MathJax node.
	https://tug.org/pipermail/tex4ht/2019q3/002349.html

2019-09-18 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (longtable.4ht): fix for the \\* commands
	inside longtable.
	https://puszcza.gnu.org.ua/bugs/?437

2019-09-13 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (hyperref.4ht, exerquiz.4ht): moved contents of
	the second argument of \hypertarget outside the generated
	link, in order to prevent creation of invalid HTML tags.

2019-09-12 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht),
	tex4ht-ooffice.tex (ooffice.4ht),
	tex4ht-4ht.tex (graphics.4ht): fixed support for image dimensions,
	tex4ht will try to explicitly set them when possible.
	* tex4ht-html4.tex (html4.4ht),
	tex4ht-ooffice.tex (ooffice.4ht): use the -dusecropbox option for
	GhostScript in the PDF conversion.

2019-09-10 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht),
	tex4ht-ooffice.tex (ooffice.4ht): disabled check for the missing
	bounding box, this prevented use of dimensions specified in
	\includegraphics[width=...].
	https://tex.stackexchange.com/q/501648/2891

2019-09-05 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (memoir.4ht): fix for footnotes when the Hyperref
	package is loaded.
	https://tex.stackexchange.com/q/507129/2891

2019-09-03 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (ooffice.4ht), 
	* tex4ht-html4.tex (html4.4ht): use double quotes for command
	parameters instead of single quotes. This caused run time error on
	Windows.

2019-09-01 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (ooffice.4ht): added support for the EPS images.

2019-08-31 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht),
	tex4ht-4ht.tex (color.4ht): fix for colors defined with spaces. Like
	\definecolor{sample}{rgb}{0.2, 0.2, 0.2}

2019-08-30 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): added non breaking space to remove
	spurious space inserted on every odd line in the algorithmicx
	environment. https://github.com/michal-h21/make4ht/issues/20

2019-08-26 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (latex.4ht),
	tex4ht-mathml.tex (mathml.4ht): added support for different math space
	commands.

2019-08-20 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht),
	tex4ht-ooffice.tex (ooffice.4ht): enable supported graphics types
	out of the box.
	* tex4ht-fonts-modern.tex
	(tex4ht.dir/texmf/tex4ht/ht-fonts/alias/vntex/arevvn/fav.htf):
	added CSS declarations for more font styles and weights.

2019-08-16 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-noncjk.tex: fixed support for avant, newcent,
	bookman and chancery text fonts.
	https://puszcza.gnu.org.ua/bugs/?433

2019-07-26 Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (natbib.4ht): added support for \Configure{cite}.
	https://tex.stackexchange.com/q/501572/2891

2019-07-10  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (babel.4ht,polyglossia.4ht): added support for the
	\arabicdigits macro.
	https://tex.stackexchange.com/q/495709/2891

2019-07-06  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (titling.4ht): added basic support for the
	titling package. 
	https://tex.stackexchange.com/a/498887/2891

2019-07-05  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-docbook.tex (docbook.4ht): added support for scrartcl,
	scrreprt and memoir classes.

2019-07-03  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (ooffice.4ht): removed invalid attribute
	table:value-type.

2019-06-24  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (usepackage.4ht): fixed the breaklines option
	for Minted package.

2019-06-19  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (usepackage.4ht, polyglossia.4ht),
	tex4ht-html4.tex (html4.4ht),
	tex4ht-ooffice.tex (ooffice.4ht): fixed direction support for
	polyglossia.

2019-06-18  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (fontspec-4ht.lua): fix for unicode specials
	inserted at the beginning of a node list.

2019-06-11  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): don't pass the PDF name to
	epstopdf, it can fail on Windows.

2019-06-10  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): made the command used for the
	EPS graphics support configurable.

2019-06-07  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (usepackage.4ht, imakeidx.4ht): added support for the
	Imakeidx package.

2019-06-06  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (memoir.4ht),
	tex4ht-html4.tex (html4.4ht): added support for the \book command.
	* tex4ht-unicode.tex (unicode.4ht): check for "new-accents" option in
	accents configuration.

2019-05-27  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (fontspec-4ht.lua): current LuaTeX needs + sign before
	direction.

2019-05-22  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (bussproofs.4ht),
	tex4ht-html4.tex (html4.4ht): added support for the bussproofs package.
	* tex4ht-4ht.tex (proof.4ht),
	tex4ht-html4.tex (html4.4ht): added support for the proof package.

2019-05-20  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (adjustbox.4ht),
	tex4ht-html4.tex (html4.4ht): added support for the adjustbox package.

2019-05-14  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathjax.tex (mathjax-latex-4ht.4ht): redefine the 
	problematic commands for TOC only in \Configure{writetoc}.
	https://tug.org/pipermail/tex4ht/2019q2/002262.html

2019-04-24  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-noncjk.tex: regenerated Zapf fonts using Htfgen.
	The old version produced incorrect characters

2019-04-18  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-noncjk.tex: restore XCharter fonts.
	* tex4ht-fonts-libertine.tex: fixed family names for Libertine
	fonts. This changes the directory where the HTF fonts are generated.
	* tex4ht-4ht.tex (floatpag.4ht): redefine the
	\thisfloatpagestyle command to be ignored with tex4ht.
	https://github.com/michal-h21/tex4ebook/issues/58

2019-04-17  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-noncjk.tex: removed EB Garamond and Linux
	Libertine fonts.
	* tex4ht-fonts-ebgaramond.tex: added new literate source for EB
	Garamond HTF files.
	* tex4ht-fonts-libertine.tex: added literate sources for Libertine HTF
	files.

2019-04-12  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (nameref.4ht): fix for amsart and amsproc \part.

2019-04-10  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html5.tex (html5.4ht): added support for HTML5 figures
	for AMS classes.
	
2019-04-09  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (color.4ht, xcolor.4ht): fixed issues with color names
	equal to color schemes.
	https://tug.org/pipermail/tex4ht/2019q2/002242.html

2019-04-05  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht),
	tex4ht-mathjax.tex (mathjax-latex-4ht.4ht): added support for $$
	display math.
	
2019-03-25  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (ooffice.4ht): use superscript for a
	footnote anchor. https://tex.stackexchange.com/q/474000/2891

2019-03-25  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): added support for \reversemarginpar.

2019-03-21  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (ooffice.4ht): changed footnote font size to 80%.

2019-03-19  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (ooffice.4ht): added group around
	\@textsuperscript reset, in order to support superscripts in footnotes.
	* Makefile: renamed jurabibib.4ht to jurabib.4ht.

2019-03-18  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-sty.tex (tex4ht.sty): removed second argument for
	\BlockElementEnd, it isn't used.

2019-03-16  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (ooffice.4ht): the wrapfix configuration generated
	nested paragraphs, leading to a non-valid ODF file. 

2019-03-15  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html5.tex (html5.4ht): use semantic elements for floats,
	figures and captions.

	* tex4ht-4ht.tex (memoir.4ht): input definitions for booktabs.
	https://tex.stackexchange.com/q/479652/2891

2019-03-14  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (ooffice.4ht): fixed image filename parsers.
	* tex4ht-ooffice.tex (ooffice.4ht): added image mimetypes to the
	manifest.xml file.
	* tex4ht-ooffice.tex (ooffice.4ht): correct name of the attribute is
	text:class-names.

2019-03-13  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (biblatex.4ht): fix for non-ascii cite keys
	with XeLaTeX.
	* tex4ht-html4.tex (html4.4ht),
	* tex4ht-javahelp.tex (javahelp.4ht): use white-space:normal in Css.
	* tex4ht-ooffice.tex (ooffice.4ht): support for PDF image inclusion.

2019-03-12  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (biblatex.4ht): fix for Polyglossia package.
	* tex4ht-ooffice.tex (ooffice.4ht): fixed issues with pictures in
	subdirectories.
	* tex4ht-ooffice.tex (ooffice.4ht): set image dimensions on draw:frame
	element, we got validation error otherwise.

2019-02-19  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (cleveref.4ht): added support for reference
	hyperlinks.
	https://tex.stackexchange.com/a/475664/2891
	
	* tex4ht-4ht.tex (csquotes.4ht): fix for footnotes inside blockquote
	environment.
	https://tex.stackexchange.com/a/474605/2891
	
2019-01-30  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): horizontally center longtables.
	https://tex.stackexchange.com/a/472643/2891

2019-01-24  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (amsmath.4ht): fixed definition of \xrightarrow and
	\xleftarrow again.
	https://tex.stackexchange.com/q/461445/2891
	* tex4ht-4ht.tex (amsmath.4ht): prevented duplicate definitions of some
	macros.

2019-01-23  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (pstricks.4ht): fixed generated file name in
	the copyright notice.

2019-01-22  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (memoir.4ht): removed loading of table related
	packages. Recent Memoir doesn't use them anymore.

2019-01-18  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (ooffice.4ht): added configurations for verse.4ht.

2019-01-17  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (tuenc-xetex-input.4ht): fixed Unicode range character
	declaration.
	* tex4ht-html4.tex (html4.4ht),
	tex4ht-ooffice.tex (ooffice.4ht): Start a new paragraph after the verse
	environment.
	https://tex.stackexchange.com/q/470546/2891
	* tex4ht-html4.tex (html4.4ht): set zero bottom margin for
	paragraphs inside the verse environment in order to prevent
	unwanted blank lines. 

2019-01-16  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (memoir.4ht): fixed chapter TOC creation
	https://tex.stackexchange.com/q/470352/2891
	* tex4ht-ooffice.tex (ooffice.4ht): renamed quote-trl to
	quote-rtl, to fix the direction support.
	https://tex.stackexchange.com/a/470434/2891

2019-01-12  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (usepackage.4ht): fixed Biblatex language handling.
	https://tex.stackexchange.com/q/469718/2891

2019-01-06  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (memoir.4ht): Support for optional argument of
	\chapter. Thanks to Deimantas Gal\v{c}ius.
	https://puszcza.gnu.org.ua/bugs/?406

2019-01-05  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-tei.tex (tei.4ht): added definitions of CSS support commands.
	* tex4ht-4ht.tex (titlesec.4ht): fixed issues with TOC.
	* tex4ht-4ht.tex (memoir.4ht): support for \tableofcontents* command.

2018-12-27  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-svg.tex (svg-option.4ht, html4-svg.4ht): renamed svg.4ht to
	svg-option.4ht due to name conflict with svg.sty.
	* tex4ht-options.tex (tex4ht.4ht): use svg-option.4ht instead of
	svg.4ht.
	* tex4ht-4ht.tex (svg.4ht): added basic support for the svg.sty
	package.
	* Makefile (tex4ht_svg_derived): change names accordingly.
	* mktex4ht-cnf.tex: \AddFile{9}{svg}.
	
	* tex4ht-4ht.tex (tabu.4ht): added basic support for the tabu package.
	* tex4ht-4ht.tex (scrjura.4ht),
	tex4ht-html4.tex (html4.4ht): added basic support for the
	scrjura package.

2018-12-20  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (usepackage.4ht): load dvips driver for
	graphicx and xcolor packages with XeLaTeX. It fixes PDF support.

2018-12-19  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-options.tex (tex4ht.4ht): added support for mathml option for
	docbook and tei formats.

2018-12-18  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex (pstricks.4ht): copyright.

2018-12-18  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (pstricks.4ht): fixed compilation error.
	https://tex.stackexchange.com/a/466340/2891

2018-12-10  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathjax.tex (mathjax-latex-4ht.4ht): configure
	environments and 
	other redefinitions inside \AtBeginDocument.
	* tex4ht-mathjax.tex (mathjax-latex-4ht.4ht): added configurations for
	eqnarray.

2018-12-04  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4-math.4ht): added "mathjax" option.
	* tex4ht-mathjax.tex (mathjax-latex-4ht.4ht): new literate
	source holding definitions for keeping of LaTeX commands in math
	commands and environments.
	* tex4ht-mathml.tex (html-mml.4ht): use "mathjax" option also
	for MathML output.
	* tex4ht-html4.tex (html4.4ht): use \def instead of \newcommand for
	\AddFontFace, it causes compilation error.
	* tex4ht-4ht.tex (latex.4ht): added \NewConfigure{MathjaxSource}.

2018-11-29  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): Added \Configure{AddJs} and
	\Configure{AddCss} for external script and style sheet inclusion.
	* tex4ht-html4.tex (html4.4ht): Added support for web fonts.
	* tex4ht-html4.tex (html4.4ht): Made the GhostScript configuration for
	actuall gs executable selection for the PDF to png conversion.

2018-11-24  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex (amsmath.4ht): <TeX4ht copywrite>.

2018-11-24  Michal Hoftich  <michal.h21@gmail.com>

	*  tex4ht-4ht.tex (amsmath.4ht): fixed redefinition of
	\xrightarrow and \xleftarrow.
	https://tex.stackexchange.com/q/461445/2891

2018-11-17  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (magyar.4ht): fixed support for \aref and \Aref
	commands.

2018-11-15  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (magyar.4ht): added support for \az command in Magyar
	Babel.

2018-11-09  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-4hf.tex
	(tex4ht.dir/texmf/tex4ht/ht-fonts/mozilla/charset/unicode.4hf):
	removed many unnecessary mappings from Unicode math to ASCII.

2018-11-08  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (czech.4ht): use \quotedblbase instead of
	custom code for opening quote.

2018-11-06  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex (plain.4ht, fontmath.4ht): "copywrite"
	to include timestamps.

2018-11-06  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (plain.4ht, fontmath.4ht): added definition of \ldots 

2018-11-05  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex (lettrine.4ht): copyright 2018.

2018-11-05  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (lettrine.4ht): use the same keyval namespace as
	lettrine.sty.
	https://github.com/michal-h21/tex4ebook/issues/48

2018-10-26  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (ooffice.4ht): added support for TocLink option.

2018-10-25  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (ooffice.4ht): removed space before footnote mark.
	https://puszcza.gnu.org.ua/bugs/?172

2018-10-20  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (book.4ht, report.4ht, article.4ht, amsart.4ht,
	amsbook.4ht, amsproc.4ht, scrartcl.4ht, scrreprt.4ht, mwbk.4ht,
	mwart.4ht, mwrep.4ht): disabled patching of the old commands, it
	seemd like really old weird hack that is not useful anymore.
	https://tex.stackexchange.com/q/455994/2891

2018-10-15  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): test for presence of image
	converted from pdf file.
	added support for conversion of eps files to the current picture
	format.

2018-10-01  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (graphicx.4ht): defined configurations for \rotatebox
	* tex4ht-html4.tex (html4.4ht): configured \rotatebox
	https://tex.stackexchange.com/a/453376/2891

2018-09-16  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (titlesec.4ht): fix for the runin and display formats.
	https://tex.stackexchange.com/q/451077/2891

2018-09-08  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (biblatex-chicago.4ht): fix for correct punctuation.

2018-09-02  Karl Berry  <karl@freefriends.org>

	* tex4ht-unicode.tex: copyright.

2018-09-02  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-unicode.tex (unicode.4ht): fixed definition of
	\x:unicode to use the same pattern for declaration of Unicode
	characters as the rest of tex4ht sources.

	* tex4ht-html4.4ht (html4.4ht): added \ttfamily to the listings-init
	configuration. It fixes some issues when listings are used inside the
	\Picture*.

2018-08-30  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (tuenc-luatex.4ht): added vpack_filter
	callback, in order to process all characters.
	* tex4ht-4ht.tex (latex.4ht): load tuenc.def to get definitions
	for text symbols.

2018-07-31  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (ooffice.4ht): removed &nbsp; entity from
	configuration for HBorder, it caused Xtpipes error.

2018-07-04  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (ooffice.4ht): removed all DOCTYPE
	definitions, they cause validation failure in
	https://odfvalidator.org/.
	* tex4ht-ooffice.tex (ooffice-mml.4ht): fixed mime type.
	Replaced literal math: prefix with \a:mathml in some configurations.
	Configured \Configure{mathml} to not use a prefix at all.
	Added correct Doctype for MathML.

2018-07-03  Karl Berry  <karl@freefriends.org>

	* tex4ht-t4ht.tex (texmf :=): replace %%~ with $TEXMFDIST,
	not $SELFAUTOPARENT, for consistency with MiKTeX, to help
	distros, etc.
	* tex4ht-env.tex (generic note fonts): replace <unix/win32 note fonts>.
	(unix opening comment): replace <my opening comment>; TEXMFDIST.
	Omit texmf-dist/ after %%~/ throughout.
	https://puszcza.gnu.org.ua/bugs/index.php?394
	https://tug.org/pipermail/tex4ht/2018q2/001975.html

2018-06-30  Karl Berry  <karl@freefriends.org>

	* tex4ht-c.tex (close tex4ht file): don't try to dereference
	null pointers if file is not open. (Why it's not open, I don't know.)
	Report from Nasser Abbasi, 25 May 2018 20:11:20 ff.

2018-06-29  Karl Berry  <karl@freefriends.org>

	* tex4ht-c.tex (command line options): mention A in option summary
	as well as text. (And push current *.c to TL.)

2018-06-12  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (ooffice.4ht): fixed support for images included
	without extension.

2018-06-12  Karl Berry  <karl@freefriends.org>

	* wripro.tex,
	* tex4ht-sty.tex: more \writesixteen.
	(\xeuniuseblock): quote use in doc.
	* tex4ht-html0.tex,
	* tex4ht-html32.tex,
	* tex4ht-info.tex,
	* tex4ht-options.tex,
	* tex4ht-tei.tex: copyright 2018.

2018-06-12  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (ooffice.4ht): removed \clearpage patch, it
	breaks math.

2018-06-11  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-sty.tex (tex4ht.sty): use higher number for \write,
	to try even harder to avoid possible conflicts.

2018-06-11  Michal Hoftich  <michal.h21@gmail.com>

	* common.tex,
	* tex4ht-4ht.tex (amsart.4ht, amsbook.4ht, amsproc.4ht, article.4ht,
	book.4ht, eplain.4ht, glossary.4ht, latex.4ht, mwart.4ht, mwbk.4ht,
	mwrep.4ht, report.4ht, scrbook.4ht, scrreprt.4ht, showfonts.4ht,
	th4.4ht),
	* tex4ht-html0.tex (html0.4ht),
	* tex4ht-html32.tex (html32.4ht),
	* tex4ht-html4.tex (html4.4ht, onmouseover.4ht),
	* tex4ht-info.tex (info4ht.4ht),
	* tex4ht-options.tex (tex4ht.4ht),
	* tex4ht-sty.tex (tex4ht.sty),
	* tex4ht-tei.tex (tei-mml.4ht, tei.4ht): changed \immediate\write16 to
	\writesixteen macro, and define it.

2018-06-08  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (cleveref.4ht): basic support for Cleveref package.

2018-06-06  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (ooffice.4ht): require new page for
	\clearpage command.

2018-05-19  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (tuenc-xetex-input.4ht): new release of l3kernel
	defined more active chars, it is necessary to undefine them for XeTeX.

2018-05-18  Karl Berry  <karl@freefriends.org>

	* Makefile (diff_files): diff all $(derived) as a test;
	use = when := is not necessary; doc tweaks.

2018-05-09  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): removed testing snippet, it
	contained text in Latin 1 encoding and current LaTeX defaults to
	utf8, causing a compilation errror.

	* Makefile: removed $(ht_fonts_devdir)/alias/bera/fvmr8r.htf,
	this file doesn't exist and it caused constant recompilations of
	font files.

	* tex4ht-4ht.tex (usepackage.4ht): patch XeTeX active characters
	only in XeTeX compilation.

2018-05-08  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (usepackage.4ht): patch for expl3 package
	* tex4ht-4ht.tex (usepackage-fontspec.4ht, tuenc-xetex.4ht,
	tuenc-xetex-input.4ht): fixed XeTeX support.

2018-05-04  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html5.tex (html5.4ht): added declarations for
	additional languages supported by Polyglossia.
	* tex4ht-sty.tex (tex4ht.sty): load XeTeX encoding support code
	if XeTeX is active in order to support Unicode characters in the
	preamble.

2018-05-03  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (memoir.4ht): include code which was invoked only for
	mempatch.sty in memoir.4ht, since mempatch is not used anymore.

2018-05-02  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (usepackage.4ht): disabled package eso-pic, it
	cannot do anything useful under tex4ht.

2018-04-16  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-noncjk.tex 
	(tex4ht.dir/texmf/tex4ht/ht-fonts/alias/arev/favb8r.htf):
	fixed reference to the master .htf file.

2018-04-10  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathml.tex (mathml.4ht): removed \leavevmode from fbox
	configuration, it produced wrong results in the vertical mode.

	* tex4ht-4ht.tex (braket.4ht): patched the braket package, it
	produced wrong MathML code.

2018-04-06  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (biblatex.4ht): use \pend:defI for patching of
	\blx@bibliography in the current Biblatex version.N
	Report from Anonymous,
	http://tug.org/pipermail/tex4ht/2018q2/001929.html

2018-03-29  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-noncjk.tex
	(tex4ht.dir/texmf/tex4ht/ht-fonts/alias/t1fonts/XCharter*.htf):
	Support for XCharter fonts.

2018-03-28  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-sty.tex (tex4ht.sty): use \long for definition of
	\IfFileExists, because it may contain blank lines in its branches.
	https://tex.stackexchange.com/q/423725/2891

2018-03-27  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-noncjk.tex
	(tex4ht.dir/texmf/tex4ht/ht-fonts/alias/adobe/bera/fvmr8r.htf):
	Monospaced Bera font.
	https://puszcza.gnu.org.ua/bugs/?390

2018-02-23  Karl Berry  <karl@freefriends.org>

	* tex4ht-mathml.tex: copyright 2018.

2018-02-22  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathml.tex (html-mml.4ht): disabled ht-fonts for basic
	font formatting commands also in MathML.
	* tex4ht-mathml.tex (mathml.4ht, html-mml.4ht): print <mtext>
	elements when text formatting commands are used.
	https://tex.stackexchange.com/a/416613/2891

2018-02-20  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): disabled ht-fonts for basic font
	formatting commands.

2018-02-19  Karl Berry  <karl@freefriends.org>

	* tex4ht-fonts-noncjk.tex,
	* Makefile (tex4ht_fonts_noncjk_derived): use /alias/bera/,
	since it is not an Adobe font.

2018-02-15  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-noncjk.tex
	(tex4ht.dir/texmf/tex4ht/ht-fonts/alias/adobe/bera/fve*.htf): Basic
	support for Bera fonts.
	https://tex.stackexchange.com/q/415418/2891

2018-02-07  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-sty.tex (tex4ht.sty): new commands for semantic elements.
	https://puszcza.gnu.org.ua/bugs/index.php?387
	
2018-01-31  Karl Berry  <karl@freefriends.org>

	* tex4ht-html5.tex: copyright.

2018-01-31  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html5.tex (html5.4ht): added meta tags for source file,
	date and instructions for mobile devices.

2018-01-15  Karl Berry  <karl@freefriends.org>

	* Makefile (tex4ht_fonts_modern_derived): add lm-ts1.htf.
	* tex4ht-fonts-modern.tex (lm-ts1-LM-05): copyright.

2018-01-15  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-modern.tex
	(tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/lm/lm-ts1.htf): use
	ASCII apostrophe (x0027) for the \textquotesingle symbol.
	http://tug.org/pipermail/tex4ht/2018q1/001873.html

2018-01-12  Karl Berry  <karl@freefriends.org>

	* tex4ht-html4.tex,
	* tex4ht-ooffice.tex: it's 2018.

2017-01-11  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (latex.4ht),
	* tex4ht-ooffice.tex (ooffice.4ht),
	* tex4ht-html4.tex (html4.4ht): fixed support for \textsubscript and
	\textsuperscript.
	http://tug.org/pipermail/tex4ht/2018q1/001870.html

2017-01-04  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (biblatex.4ht): removed macros for older
	Biblatex versions support.
	https://tex.stackexchange.com/q/408742/2891
	http://puszcza.gnu.org.ua/bugs/?376

2017-12-13  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): use hexadecimal entity for the
	asterism.

2017-12-09  Michal Hoftich  <michal.h21@gmail.com>

	* Makefile: compile the tex4ht-html4.tex file twice in order to
	get all configurations included.

2017-12-08  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht),
	* tex4ht-4ht.tex (sectionbreak.4ht): support for sectionbreak package.
	* Makefile: request compilation of tex4ht-cond4ht.tex before 
	tex4ht-4ht.tex. 
	
2017-12-06  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht), 
	* tex4ht-4ht.tex (animate.4ht, usepackage.4ht): added support for the
	animate package.

2017-11-23  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (nameref.4ht): add label for equation if amsmath
	is not used. Report from Philippe Spiesser on tex-live list,
	http://tug.org/pipermail/tex-live/2017-November/040809.html.

2017-11-16  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (biblatex.4ht): fixed version checking

2017-11-12  Karl Berry  <karl@freefriends.org>

	* Makefile (update-env): no -platform suffix.
	* Makefile (update-env): separate out target.
	(update): call it.

	* tex4ht-docbook.tex: copyright.

2017-11-11  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-docbook.tex (docbook.4ht): added support for the quote
	environment.

2017-11-10  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-env.tex (tex4ht.env): use the --exact option for dvisvgm, it
	prevents wrong image clipping in some cases.

2017-10-25  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): define dummy vallue for
	\Gin@page when it is undefined.

2017-10-22  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (ooffice.4ht): added configurations for
	frenchb spaces.
	* tex4ht-ooffice.tex (ooffice-mml.4ht): Changed definition of
	\:nbsp macro to produce actual non-breaking space.
	http://tug.org/pipermail/tex4ht/2017q4/001852.html

2017-10-21  Karl Berry  <karl@freefriends.org>

	* tex4ht-fonts-noncjk.tex
     (ctib -> tex4ht.dir/texmf/tex4ht/ht-fonts/iso8859/1/tibetan/ctib.htf,
  ctib-uni -> tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/tibetan/ctib.htf):
        correct |jobname to `jobname for this context.

	* tex4ht-fonts-noncjk.tex
     (lacc-uni -> tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/lh/lh-t2a/lacc.htf),
	* tex4ht-4ht.tex (graphicx.4ht): copyright.

2017-10-18  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (graphicx.4ht): add xbb support for pdf and svg.
	* tex4ht-html4.tex (html4.4ht): use pdf2svg for pdf to svg
	conversion, the pdf images will be converted to png by default,
	use "svg" option to request the svg output.

2017-10-16  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (usepackage.4ht): added support for TikZ
	externalization.
	http://puszcza.gnu.org.ua/bugs/?371
	* tex4ht-html4.tex (html4.4ht): added support for pdf image inclusion.

2017-10-01  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-noncjk.tex 
        (tex4ht.dir/texmf/tex4ht/ht-fonts/alias/lh/lh-t2a/labi.htf,
         tex4ht.dir/texmf/tex4ht/ht-fonts/alias/lh/lh-t2a/latc.htf,
         tex4ht.dir/texmf/tex4ht/ht-fonts/alias/lh/lh-t2a/lait.htf):
	new Cyrillic fonts.
	* tex4ht-fonts-noncjk.tex 
        (tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/lh/lh-t2a/lacc.htf):
        fixed wrong character.
        https://puszcza.gnu.org.ua/bugs/index.php?370
	
2017-09-19  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-noncjk.tex 
        (tex4ht.dir/texmf/tex4ht/ht-fonts/alias/ec/ecxc.htf,
         tex4ht.dir/texmf/tex4ht/ht-fonts/alias/lh/lh-t2a/laxc.htf):
	fixed some small-caps fonts.

2017-09-09  Karl Berry  <karl@freefriends.org>

	* tex4ht-mathml.tex (html-mml.4ht): copyright.
	https://tex.stackexchange.com/q/400629/2891

2017-09-02  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (authblk.4ht): added basic support for authblk
	package.

2017-08-23  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathml.tex (mathml.4ht): print columnlines attribute only
	when it is not empty.

2017-08-14  Vincent Belaiche  <vincent.b.1@hotmail.fr>

	* tex4ht-sty.tex: \openin ./tex4ht.sty, to be sure we get the
	development version.
	https://puszcza.gnu.org.ua/bugs/?366

2017-08-01  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): use `mk4ht xhtex` command with
	onmouseover option.
	https://tex.stackexchange.com/q/384371/2891

2017-05-19  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathml.tex (html-mml.4ht): configuration for array caused
	invalid MathML.
	https://tex.stackexchange.com/q/370450/2891
	https://puszcza.gnu.org.ua/bugs/?368

2017-05-15  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-info-svg.tex (infosvg.4ht): fixed compilation error.

2017-05-14  Karl Berry  <karl@freefriends.org>

	* tex4ht-ooffice.tex,
	* tex4ht-info.tex,
	* tex4ht-info-html4.tex,
	* tex4ht-info-mml.tex,
	* tex4ht-info-svg.tex: copyright 2017.

2017-05-10  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (ooffice.4ht): Added basic support for mdwlist
	environments enumerate* and itemize*

2017-05-10  Michal Hoftich  <michal.h21@gmail.com>

	* mktex4ht-cnf.tex: uncommented mktex4ht configuration.
	* tex4ht-info.tex (info4ht.4ht),
	* tex4ht-info-html4.tex (infoht4.4ht),
	* tex4ht-info-mml.tex (infomml.4ht,
	* tex4ht-info-svg.tex (infosvg.4ht): Added definition of \CleanComment 
	macro to each of these files, because it needs current filename in 
	it's definition. Generated info files, except infosvg.4ht, should work
	now.
	* Makefile: removed mktex4ht.4ht from common dependencies.

2017-05-09  Karl Berry  <karl@freefriends.org>

	* tex4ht-info-svg.tex (infosvg.4ht),
	tex4ht-svg.tex (svg.4ht),
	tex4ht-fonts-noncjk.tex 
	(tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/misc/SkakNew.htf): copyright.

2017-05-05  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-noncjk.tex
	(tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/misc/SkakNew.htf):
	Support for chess figures.
	* tex4ht-4ht.tex (skak.4ht),
	* tex4ht-html (html4.4ht): added support for skak package 
	chessboards.
	* tex4ht-svg.tex (svg.4ht, html4-svg.4ht),
	* tex4ht-options.tex (tex4ht.4ht): introduced new option,
	`svg-inline`, which holds the original meaning of `svg` option.
	`svg` option now doesn't include the image in the document text.
	* tex4ht-info-svg.tex (infosvg.4ht): added information about 
	various svg options.

2017-05-04  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): round dimensions and remove 
	``pt'' units from image dimensions.
	* tex4ht-html4.tex (html4.4ht): Require horizontal stacking 
	of subfigures.

2017-05-03  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (usepackage.4ht): added basic support for
	xeCJK package, fixed one issue with biblatex.
	Details:  https://tex.stackexchange.com/a/367968/2891 

2017-04-28  Karl Berry  <karl@freefriends.org>

	* Makefile (common): include mktex4ht.4ht and tex4ht.sty.
	(common_no_cond_sty): new variable without either of those.
	(tex4ht_cond4ht_derived,tex4ht_sty_derived): use
	  $(common_no_cond_sty) instead of $(common). 
	(tex4ht_4ht_derived): depend on cond4ht.4ht.
	
	* mktex4ht-cnf.tex: copyright 2017.

2017-04-28  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): fixed error which happened when 
	xcolor haven't been loaded in the document. Fixed line widths.
	Start paragraph after mdframed environment.
	https://puszcza.gnu.org.ua/bugs/?217

2017-04-27  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): use CSS instead of rules="groups"
	attribute for vertical lines in tables.
	* tex4ht-4ht.tex (xcolor.4ht): new command \get:xcolorcss, for 
	conversion from xcolor color spec to CSS colors.
	* tex4ht-4ht.tex (mdframed.4ht),
	* tex4ht-html4.tex (html4.4ht): added basic support for mdframed
	package. https://puszcza.gnu.org.ua/bugs/?217

2017-04-22  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex (caption.4ht): copyright.
	(framed.4ht): no copyright 2016.

2017-04-20  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (listings.4ht): added custom configuration for 
	\lst@makecaption, in order to get correct cross-references.

2017-04-18  Michal Hoftich  <michal.h21@gmail.com>

	* Makefile: added info4ht.4ht to the list of derived files.
	* tex4ht-4ht.tex (framed.4ht),
	* tex4ht-html4.tex (html4.4ht),
	* mktex4ht-cnf.tex: added basic support for Framed package,
	https://puszcza.gnu.org.ua/bugs/?217.

	* tex4ht-4ht.tex (caption.4ht): Added missing C to the macro name.

2017-04-12  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-noncjk.tex
	(tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/tibetan/ctib.htf):
	one entity missed closing semicolon.

2017-04-11  Karl Berry  <karl@freefriends.org>

	* Makefile (tex4ht_fonts_noncjk_derived): add tibetan/ctib.htf.
	* tex4ht-mathml.tex (mathml.4ht),
	* tex4ht-options.tex (tex4ht.4ht): copyright 2017.

2017-04-10  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-options.tex (tex4ht.4ht): Don't load MathML by default
	for HTML5.

2017-04-07  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-noncjk.tex
	(tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/tibetan/ctib.htf):
	fixed XML entities in ctib-uni block.
	* tex4ht-html4.tex (html4.4ht): added Unicode codes for some combined
	accents.
	* tex4ht-4ht.tex (usepackage-fontspec.4ht): don't use
	"new-accents" option, pass "no-math" option to Fontspec instead.

2017-04-06  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): Round dimensions and remove units
	in width and height attributes in <img> elements.

2017-04-05  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathml.tex (mathml.4ht): added \EndPauseMathClass to
	\Configure{mathbf}.
	http://tex.stackexchange.com/q/362178/2891

2017-04-04  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): changed some deprecated <center>
	elements to <div>.

2017-04-01  Karl Berry  <karl@freefriends.org>

	* tex4ht-html5.tex: copyright 2017.

2017-03-30  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html5.tex (html5.4ht): Added support for xml:lang and lang
	attributes in <html> element. 
	Added support for xmlns in <html> tag.
	Removed cellspacing and cellpading attributes from tabular
	configuration.

2017-03-30  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4-math.4ht): Configure AMS math align-type
	environments to start a new paragraph. 

2017-03-28  Karl Berry  <karl@freefriends.org>

	* tex4ht-html4.tex (html4-math.4ht): copyright 2017.

2017-03-28  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4-math.4ht): The CSS code for align equations
	declared width 100% and margin-left:5%. This means that the
	equation numbers were moved by 5% out of the window. The width
	should be 95%, so the sum with margin-left is 100%.

2017-03-22  Karl Berry  <karl@freefriends.org>

	* tex4ht-fonts-cjk.tex,
	* tex4ht-fonts-cjk-utf8.tex,
	* tex4ht-docbook-xtpipes.tex,
	* tex4ht-4ht.tex: "The" Current Maintainer, not "This".

	* tex4ht-html4.tex (html4): copyright 2017.

	* tex4ht-4ht.tex (greek.4ht, russianb.4ht): copyright cleanup.

	(\<usepackage-fontspec.4ht\><<<): add h, was
 	"\<usepackage-fontspec.4t\><<<", in order to avoid this error:
	! \OutputCode\usepackage-fontspec without \Code\usepackage-fontspec.

2017-03-20  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): check for new-accents option in
	configuration for \bbl@umlauta accent.
	* tex4ht-html4.tex (html4.4ht): prevent including of
	html4-russian-accents.4ht with XeLaTeX and LuaLaTeX.
	* tex4ht-4ht.tex (russianb.4ht): prevent usage of OpenType fonts with
	LuaLaTX and XeLaTeX, load definitions for Cyrillic characters 
	with XeLaTeX.
	* tex4ht-4ht.tex (greek.4ht): prevent usage of OpenType fonts, load
	definitions of Greek characters with XeLaTeX.
	* tex4ht-4ht.tex (fontspec-4ht.lua): Added ec-lm as supported font.

2017-03-20  Karl Berry  <karl@freefriends.org>

	* Makefile (tex4ht_fonts_4hf): use basename instead of make features.
	(install-unicode-4hf): new target to install all unicode.4hf files.
	(diff-ht-fonts): new target to compare dev vs. installed ht-fonts.
	New variables to support the above.
	* tex4ht-fonts-4hf.tex: use \input common.
	(TeX4ht copyright): remove, since it was only used in unicode.4hf
	files and it turns out they don't allow comments.
	(unicode.4hf): in all the many encodings, remove leading comments.

2017-03-16  Michal Hoftich  <michal.h21@gmail.com>

	* Makefile (tex4ht_fonts_4hf_derived): use dvilualatex for compilation.

2017-03-15  Michal Hoftich  <michal.h21@gmail.com>

	* Makefile (tex4ht_fonts_4hf_derived): support tex4ht-fonts-4hf.tex.
	* tex4ht-fonts-4hf.tex
	(tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/charset/unicode.4hf)
	and others: request xml entity for single quote, removed xml
	entity for ` character.

2017-03-13  Karl Berry  <karl@freefriends.org>

	* Makefile (tex4ht_4ht_derived): spread out by first letter.

	* tex4ht-4ht.tex (graphics.4ht): copyright.

2017-03-11  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht), 
	* tex4ht-4ht.tex (graphics.4ht): Fixed support for images with spaces
	in their filenames.

2017-03-11  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (memoir.4ht): redefinition for \legend command
	* tex4ht-html4.tex (html4.4ht): default configuration for \legend

2017-02-09  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-env.tex (tex4ht.env-unix): use one version of htf paths for 
	both Unix and Windows.

2017-02-04  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-env.tex (tex4ht.env-win32): replaced backslashes with normal
	slashes in HTF paths on Windows 

2017-02-03  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-env.tex (tex4ht.env-win32): fixed file paths on Windows

2017-02-01  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-env.tex (tex4ht.env-unix, tex4ht.env-win32):
	Use dvisvgm for SVG production and dvipng for bitmap production by 
	default.

2017-01-31  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (usepackage.4ht, 
	usepackage-fontspec.4ht): New configurations for Fontspec package, 
	redefining user commands instead of internal macros. Hopefully
	it will fix LuaLaTeX and XeLaTeX issues.
	http://puszcza.gnu.org.ua/bugs/?352

2017-01-29  Karl Berry  <karl@freefriends.org>

	* common-info.tex,
	* common.tex,
	* tex4ht-fonts-4hf.tex,
	* tex4ht-info-html4.tex,
	* tex4ht-info-javahelp.tex,
	* tex4ht-info-mml.tex,
	* tex4ht-info.tex: copyright cleanups.
	
2017-01-24  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex (tuenc-luatex.4ht, tuenc-xetex.4ht,
	fontspec-luatex.4ht, fontspec-xetex.4ht,
	fontspec-4ht.lua, fontspec.4ht):
	use |<TeX4ht license text|> and direct copyright lines
	for these new files, instead of various macro invocations.

2017-01-24  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (tuenc-luatex.4ht, tuenc-xetex.4ht,
	fontspec-luatex.4ht, fontspec-xetex.4ht, latex.4ht): Introduced
	basic Unicode handling for LuaLaTeX and XeLaTeX. It is based on
	code which was originally used in Fontspec support.
	(Plus copyright tweaks from Karl.)
	https://puszcza.gnu.org.ua/bugs/?352

2017-01-23  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (latex.4ht): prevent the selection of TU font
	encoding, because it loads OpenType fonts. Use OT1 instead.
	https://puszcza.gnu.org.ua/bugs/?352

2016-12-26  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (nameref.4ht): changed \:tempc to \:tempams, in order
	to avoid collision with pic-align option
	http://tex.stackexchange.com/q/345689/2891

2016-12-21  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex (xr.4ht, xr-hyper.4ht): copyrights.

2016-12-20  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (usepackage.4ht, xr.4ht, xr-hyper.4ht): fix support
	for additional optional argument of \externaldocument,
	and support for hyperref's label in the cross references.
	http://puszcza.gnu.org.ua/bugs/?349>

2016-12-18  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex (nameref.4ht): copyright.

2016-12-16  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (nameref.4ht): Fixed support for empty nameref
	types in labels, added support for asmath environments.
	https://puszcza.gnu.org.ua/bugs/?348

2016-12-16  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): Added support for inclusion of
	SVG images
	https://puszcza.gnu.org.ua/bugs/?348

2016-12-15  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (listings.4ht): Fixed support for mathescape
	option
	https://puszcza.gnu.org.ua/bugs/?347>

2016-12-14  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex (xcolor.4ht): copyright.

2016-12-14  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (colortbl.4ht): Added support for \color 
	command in table column specifivation.
	* tex4ht-4ht.tex (xcolor.4ht): Added support for colors 
	defined by the user.
	https://puszcza.gnu.org.ua/bugs/?346

2016-12-13  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (colortbl.4ht): Use xcolor.sty commands 
	to convert color specifications to CSS.
	https://puszcza.gnu.org.ua/bugs/?346

2016-12-11  Karl Berry  <karl@freefriends.org>

	* tex4ht-fonts-noncjk.tex ([g]version 2..18): eliminate
	right-justified %'s, typos.

	* tex4ht-fonts-modern.tex (rm-lm): copyright for
	tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/lm/rm-lm.htf.

2016-12-11  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-modern.tex
	(tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/lm/rm-lm.htf,
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/lm/rm-lmt.htf,
	tex4ht.dir/texmf/tex4ht/ht-fonts/alias/lm/rm-lmvt.htf):
	Typewriter lmodern fonts in OT1 encoding containded wrong
	backslashes and other characters.
	
2016-12-10  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (usepackage.4ht): There was catcode issue with 
	`:` character, it was 11 instead of 12.
	* tex4ht-4ht.tex (fontspec-4ht.lua): There could be Lua error caused
	by some fonts.
	https://puszcza.gnu.org.ua/bugs/?123

2016-12-09  Karl Berry  <karl@freefriends.org>

	* tex4ht-env.tex: copyright 2016.

	* tex4ht-4ht.tex (usepackage.4ht): |<TeX4ht copyright|>
	not copywrite, so the full notice is inserted.
	
2016-12-08  Karl Berry  <karl@freefriends.org>

	* tex4ht-cond4ht.tex (mktex4ht.4ht): copyright 2016.

2016-12-07  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-env.tex (tex4ht.env): moved default picture conversion
	scripts below alternative scripts, in order to enable their
	selection with -c option of t4ht.
	https://puszcza.gnu.org.ua/bugs/?343
	http://tug.org/pipermail/tex4ht/2016q4/001689.html

2016-12-04  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (fontspec.4ht, fontspec-luatex.4ht,
	fontspec-xetex.4ht): moved luatex and xetex definitions for
	fontspec to fontspec-xetex.4ht and fontspec-luatex.4ht.
	* mktex4ht-cnf.tex (mktex4ht.4ht): added fontspec-luatex.

2016-12-03  Karl Berry  <karl@freefriends.org>

	* .svnignore (fontspec-4ht.lua): add.
	
	* Makefile (tex4ht_4ht_derived),
	* mktex4ht-cnf.tex,
	* tex4ht-4ht.tex: rename xetex-fontspec.4ht to fontspec-xetex.4ht.

	* tex4ht-4ht.tex (fontspec.4ht, fontspec-4ht.lua, fontspec-xetex.4ht),
	* mktex4ht-cnf.tex: copyrights, svn:keywords, comments.

2016-12-02  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex (multirow.4ht): copyright.

2016-12-02  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (multirow.4ht): fixed support for package multirow.
	https://puszcza.gnu.org.ua/bugs/index.php?342

2016-11-27  Michal Hoftich  <michal.h21@gmail.com>

	* mktex4ht-cnf.tex: added requests for fontspec
	* Makefile: added mktex4ht-cnf.tex as dependency for tex4ht-cond4ht.tex

2016-11-27  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (usepackage.4ht, fontspec.4ht, fontspec-4ht.lua,
	fontspec-xetex.4ht): Added support for Fontspec package, for both 
	LuaLaTeX and XeLaTeX
	* tex4ht-html4.tex: Configuration for basic font commands when
	fontspec is used.
	https://puszcza.gnu.org.ua/bugs/?123

2016-11-25  Karl Berry  <karl@freefriends.org>

	* tex4ht-html4.tex,
	* tex4ht-options.tex: copyright 2016, svn:keywords.

2016-11-25  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html5.tex (html5.4ht): basic html5 template
	* tex4ht-options.tex (tex4ht.4ht): added html5 option
	* Makefile: generate html5 files
	https://puszcza.gnu.org.ua/bugs/index.php?341

2016-11-23  Karl Berry  <karl@freefriends.org>

	* tex4ht-mathml.tex: Copyright 2016.

2016-11-22 Michal Hoftich <michal.h21@gmail.com>

	Towards http://puszcza.gnu.org.ua/bugs/?340.
	
	* tex4ht-mathml.tex (mathml.4ht): added \a:mathml commands
	before some attributes where it was missing. This ensures use of
	mathml: prefix if it is used in the output format.

	* tex4ht-ooffice.tex (ooffice-mml.4ht): Removed configurations
	of 'left' and 'right', default configurations from mathml.4ht
	should be used instead.

2016-11-21 Michal Hoftich <michal.h21@gmail.com>

	* tex4ht-mathml.tex (mathml.4ht): added \let\columnlines\empty
	before use of \columnlines in \Configure{halignTB<>}. It caused
	compilation error in ooffice mode.

2016-10-05 Deimantas Galcius <deimantas.galcius@gmail.com>

	* Makefile (d) Experimental target "d" for dependency/derived files.
	* Makefile (tohtmldir) move html files to html.dir
	* Makefile (toderivedir) move derived files to derived.dir
	* extra-bin/fls2d, extra-bin/flslg2d: scripts to read *fls/*.lg
	and output *.d file

2016-10-03 Deimantas Galcius <deimantas.galcius@gmail.com>

	* Makefile (PATH): set PATH to look into $extra_bin and $ht_bin;
	TeXLive 2016 (DVD) does not ship with 'xhlatex', so we find it in
	$ht_bin.
	* Makefile (tex_options): set '-recorder' option to $tex_opts. We
	want to know deps/derived files.
	* Makefile (clean): add '*.fls' for removal
	* Makefile (ht tex): replace with $(HTTEX) which respects $tex_opts
	* Makefile ("-d./" in htlatex calls): replace "-d./" with "".
	"-d./" means move generated files to current folder, which does
	not make sense.
	* Makefile (html4): Amend $(tex4ht_html4_derived) rule. No
	dependency on html4.4ht-released.
	* Remove (html4.4-released): Delete file. (hopefully) not needed
	any more.
	* Makefile: change $(dev_null) to "".

2016-09-29 Deimantas Galcius <deimantas.galcius@gmail.com>

	* common-info.tex (CleanComment): fix CleanComment to not
	raise latex run error on first pass.
	* mktex4ht-cnf.tex (new file): copy of mktex4ht.cnf. The file
	should not be generated by literate sources
	* tex4ht-4ht.tex (mktex4ht.4ht,mktex4ht.cnf): remove mktex4ht.4ht
	generation. Remove mktex4ht.cnf processing. Define macro
	\Skipmkfilename.
	* tex4ht-cond4ht.cnf (ConfigFiles,FirstPass): \ConfigFiles set to
	a new file mktex4ht-cnf.tex; skip processing lit entries on
	FirstPass; set a hook \Skipmkfilename for skipping mktex4ht.4ht
	generation from tex4ht-4ht.tex
	* tex4ht-info-html4.tex: remove code duplication; input
	common-info.tex and common.tex; this also fixes latex run error as
	in common-info.tex.
	* tex4ht-info-javahelp.tex: remove code duplication; ensure to load
	local mktex4ht.4ht
	* tex4ht-info-mml.tex: ensure to load local mktex4ht.4ht
	* tex4ht-info.tex: remove code duplication

2016-09-20  Karl Berry  <karl@freefriends.org>

	* tex4ht-c.tex (scan postamble): allow any value <= the xdv byte,
	instead of requiring equality.  That way the same tex4ht binary
	can be used with different versions of XeTeX.  As of
	XeTeX 3.14159265-2.6-0.99996 (TeX Live 2016), the id value is 7.
	(version xdv): update value to 10.

2016-08-10  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (latex.4ht): use \mathunderscore in math mode for
	\_ macro.
	* tex4ht-mathml.tex (mathml.4ht): fix for mathml.
	https://puszcza.gnu.org.ua/bugs/?337

2016-07-19  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex (lettrine.4ht) <\@lettrine>: use lettrine-*
	for the <span class= name, since that's what is defined.

2016-07-18  Karl Berry  <karl@freefriends.org>

	* Makefile (dev_null): new macro for </dev/null.
	(tex4ht_fonts_cjk_derived, etc.): use it when ht*tex is not
	invoked directly, so we don't ever sit around waiting for input.
	
	* Makefile (diff-all): excise more from the diff results.
	(diff1): use same $(diff).

2016-07-18  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-sty.tex (tex4ht.sty): make macros patched by \pend:def
       	and similar patching commands \long, in order to correctly support
	macros defined with \newcommand.
	<https://puszcza.gnu.org.ua/bugs/index.php?330>.

2016-07-17  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex (\CodeLineNo): disable again since Michal's
	compilation fails.

2016-06-05  Karl Berry  <karl@freefriends.org>

	* ProTex.sty,
	* AlProTex.sty: symlinks to ../protex, so dev versions will be used.
	* Makefile (common): depend on them.

	* tex4ht-c.tex,
	* tex4ht-4ht.tex: enable new protex option CodeLineNo to generate
	#line directives in the .c files, and %line comments in *.4ht.
	http://puszcza.gnu.org.ua/bugs/?136

2016-07-04  Karl Berry  <karl@freefriends.org>

	* tex4ht-html-speech.tex,
	* tex4ht-jsml.tex,
	* tex4ht-mathltx.tex: update copyrights.
	* Makefile (diff-all): --ignore-matching-lines for boilerplate.

2016-07-04  Karl Berry  <karl@freefriends.org>

	* tex4ht-mkht.tex: don't hardwire c: paths.

2016-07-03  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex,
	* tex4ht-auto-script.tex,
	* tex4ht-env.tex,
	* tex4ht-sty.tex: remove nonascii chars in comments.

2016-07-02  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex (lettrine.4ht): delete the .lettrine-Agrave css
	with literal Agraves, to avoid encoding agony.  Update copyright.

2016-07-01  Karl Berry  <karl@freefriends.org>

	* tex4ht-sty.tex (tex4ht.sty),
	* tex4ht-4ht.tex (usepackage.4ht): unify copyright notices.	

2016-06-30  Karl Berry  <karl@freefriends.org>

	* tex4ht-4ht.tex (latex.4ht): unify copyright notice.

2016-06-30  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (latex.4ht): added \hbox{} to active
	hyphen in order to prevent ligatures in environments defined
	with \ScriptEnv.
        <https://puszcza.gnu.org.ua/bugs/?319>

2016-06-16  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): added \par command to sectioning
	commands, text can be outside paragraphs otherwise.
	<https://puszcza.gnu.org.ua/bugs/?279>

2016-06-16  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (html4.4ht): Replaced non-breaking Unicode space with
	normal spaces.
	<https://puszcza.gnu.org.ua/bugs/?316>

2016-06-16  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex: Fixed lstinline configuration - spurious \aftergroup.

2016-06-15  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): Fixed configurations for
	algorithmic package - indentation and line number align.
	<https://puszcza.gnu.org.ua/bugs/index.php?314>

2016-06-15  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex,
	* tex4ht-misc.tex: move definitions for lettrine to tex4ht-4ht.tex.
	* Makefile: don't compile tex4ht-misc.tex, it causes overwritting of
	mktex4ht.cnf.

2016-06-10  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex,
	* tex4ht-html-speech.tex,
	* tex4ht-html32.tex,
	* tex4ht-ooffice.tex: remove explicit two-space indentation in
	fancyvrb configuration; found by deimi.
	<https://puszcza.gnu.org.ua/bugs/?308>

2016-06-09  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-sty.tex (tex4ht.sty): added \:dontusepackage macro for
	package loading preventing. Changed \@onefilewithoptions
	patching, second argument is read and saved.
	* tex4ht-4ht.tex (usepackage.4ht): added savetrees.sty to list
	of packages detected upon their loading. It is blocked from
	loading, as it causes tex4ht to fail.
	* Makefile: add derived files.
	https://puszcza.gnu.org.ua/bugs/?309

2016-05-24  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (geometry.4ht): new file to turn off frame-drawing.
	<http://puszcza.gnu.org.ua/bugs/?303>
	* Makefile (tex4ht_4ht_derived): add it.

2016-05-22  Karl Berry  <karl@freefriends.org>

	* tex4ht-c.tex (search_file): return NULL rather than FALSE
	to placate MiKTeX.  Report from Mojca,
	https://sourceforge.net/p/miktex/bugs/2488.

2016-03-31  Karl Berry  <karl@freefriends.org>

	* Makefile (tex4ht_info_html4_derived, tex4ht_info_javahelp_derived,
	tex4ht_misc_derived): new variables, targets.
	
	* tex4ht-docbook.tex,
	* tex4ht-html-speech.tex,
	* tex4ht-html0.tex,
	* tex4ht-html32.tex,
	* tex4ht-ooffice.tex,
	* tex4ht-tei.tex: likewise make timestamps (\:today) in output
	off by default, enabled with timestamp option.  In css files
	and other contexts where an option is inconvenient, just remove them.
	
	* tex4ht-javahelp.tex,
	* tex4ht-docbook.tex: reference tug rather than ohio-state.edu
	web site.

2016-03-31  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-html4.tex (html4.4ht): remove timestamp from the HTML4
	output.  It can be enabled with ``timestamp'' option.
	https://puszcza.gnu.org.ua/bugs/index.php?277

2016-03-16  Karl Berry  <karl@freefriends.org>

	* Makefile (tex4ht_4ht_derived): add biblatex.4ht.

2016-03-16  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (biblatex.4ht): support for biblatex 3.0.
	http://puszcza.gnu.org.ua/bugs/?273>

2016-02-01  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-noncjk.tex (pcrro8r.htf): Fixed some wrong characters.
        http://puszcza.gnu.org.ua/bugs/?271

2016-01-12  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (hyperref.4ht): Added support for \nameref* command,
	http://tex.stackexchange.com/q/285339/2891,
	http://puszcza.gnu.org.ua/bugs/?269.

2016-01-04  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (biblatex.4ht): Fix for version checking

2015-12-19  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (il2-pl.tcx url encoder): Fix the file
	encoding. It is related to a earlier bug in tex4ht-html4.tex,
	where input encoding error was reported with package babel when
	LuaLaTeX was used for compilation.  Just
	\input{html4-l2-url.4ht}.
	Report from Guido Milanese, Dec 18 23:29:28 CET 2015,
	http://tug.org/pipermail/tex4ht/2015q4/001326.html.

	* tex4ht-4ht.tex (<frenchb luatex>, frenchn.4ht): disable LuaTeX
	callback which causes tex4ht command to fail.

2015-10-25  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-noncjk.tex (tcrm-uni): Updated support for textcomp
	font tcrm.
	* Makefile (tex4ht_fonts_noncjk_derived): add derived file
	tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/jknappen/tc/tcrm.htf.
	https://puszcza.gnu.org.ua/bugs/?264

2015-10-09  Karl Berry  <karl@freefriends.org>

	* Makefile (tex4ht_fonts_modern_derived): new var for l7x,
 	and make it a target in addition to noncjk_derived.

2015-10-09   Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-modern.tex (l7x-lmcsc.htf, l7x-lm.htf): fixed
	diacritic marks for Lithuanian language.
	https://puszcza.gnu.org.ua/bugs/?263

2015-09-29  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (configure ooffice subscript),
	* tex4ht-4ht.tex (subscript.4ht),
	* tex4ht-html4.tex (configure html4 subscript):
	support for \textsubscript.  http://puszcza.gnu.org.ua/bugs/?262
	* Makefile (derived): add subscript.4ht.

2015-08-05  Michal Hoftich  <michal.h21@gmail.com>
        and Karl Berry <karl@gnu.org>

	* Makefile (derived): add graphicx.4ht.
	* tex4ht-4ht.tex (graphicx.4ht): usee .xbb for png/jpg/gif.
	https://puszcza.gnu.org.ua/bugs/?257

2015-06-10  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (save image name): use \Gin@ext rather than
	\PictExt (which is apparently always png).  Report from Simon Spiegel,
	10 Jun 2015 10:21:19.

2015-06-10  Radhakrishnan CV  <cvr@river-valley.org>

	* tex4ht-4ht.tex (biblatex): \blx@checksum was a parameterless
         macro, while the current biblatex defines it as a macro with three
         parameters. The macro has been redefined to match the package. The bug
         was reported by Simon Spiegel and fix suggested by Michal Hoftich.
         http://tug.org/pipermail/tex4ht/2015q2/001211.html (and previous).

2015-06-07  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-fonts-noncjk.tex: huge update of T1-encoded fonts 
 	not previously supported by tex4ht.
 	* t1fontmake.lua: new script.
 	* t1fontsample.tex: new sample tex file.
	* Makefile (tex4ht_fonts_noncjk_derived): add two of
	the new aliases/t1fonts/*.htf files.
 	Mail of http://tug.org/pipermail/tex4ht/2015q2/001180.html.

2015-05-25  Michal Hoftich  <michal.h21@gmail.com>
        and Karl Berry <karl@gnu.org>

	* tex4ht-fonts-noncjk.tex (eccc): new font support.
	https://puszcza.gnu.org.ua/bugs/?253

	* Makefile (tex4ht_fonts_noncjk_derived): add the new
	 tex4ht.dir/texmf/tex4ht/ht-fonts/alias/ec/eccc.htf
	 tex4ht.dir/texmf/tex4ht/ht-fonts/unicode/ec/eccc-uni.htf
	as htf output examples.

2015-04-14  Michal Hoftich  <michal.h21@gmail.com>

	* Makefile (tex4ht_4ht_derived): add memoir.4ht.
	* tex4ht-4ht.tex: improve array and tabular support for memoir;
	input array,dcolumn,tabularx,booktabs.4ht, disable \columnlines.
	http://puszcza.gnu.org.ua/bugs/?249

2015-04-01  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex: configure wrapfig to avoid spurious \par.
	https://puszcza.gnu.org.ua/bugs/?247

2015-02-17  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (spanish.4ht): fix missing csname when Spanish
	babel is used.
	https://puszcza.gnu.org.ua/bugs/?245
	* Makefile (tex4ht_4ht_derived): add spanish.4ht.

2015-02-11  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-ooffice.tex (ooffice.4ht): fix images in subfolders
	handling -- everything in Pictures/.
	* tex4ht-env.tex: likewise, copy all images to one directory.
	https://puszcza.gnu.org.ua/bugs/?240

2015-02-13  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathml.tex (mathml.4ht) <config mathml fontmath>: 
	output <mi mathvariant=...
	https://puszcza.gnu.org.ua/bugs/?226

2015-02-09  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-mathml.tex (mathml.4ht) <config start mtext>: \ifmmode\else
	<config math within mtext> to avoid some (but not all)
	problems.  https://puszcza.gnu.org.ua/bugs/?244

2015-02-07  Michal Hoftich  <michal.h21@gmail.com>

	* tex4ht-4ht.tex (scrartcl.4ht, scrbook.4ht, scrreprt.4ht):
	koma-script patch, mail of 6 Feb 2015 12:32:10.
	Original report from Alexander Willand.

2015-02-04  Radhakrishnan CV  <cvr@river-valley.org>

	* tex4ht-4ht.tex (biblatex.4ht): biblatex fixes for
	http://puszcza.gnu.org.ua/bugs/?227.

2015-01-29  Michal Hoftich <michal.h21@gmail.com> and Karl Berry <karl@gnu.org>

	* Makefile (tex4ht_4ht_derived): add quoting.4ht.
	* tex4ht-4ht.tex (quoting.4ht): new generated file,
        to restore <p> when quoting.sty is sued.
	http://puszcza.gnu.org.ua/bugs/?198
	http://tex.stackexchange.com/q/140986/2891

2015-01-28  Michal Hoftich <michal.h21@gmail.com>

	* tex4ht-mathltx.tex
	* tex4ht-mathml.tex
	* tex4ht-html-speech.tex
	* tex4ht-jsmath.tex: added \relax after \mathchar to prevent eating
	following characters as hexadecimal numbers.
	https://puszcza.gnu.org.ua/bugs/?230
	http://tex.stackexchange.com/q/116340/2891
	
